#!/usr/bin/python
# vim: tabstop=4 shiftwidth=4 softtabstop=4
# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================
# ------------------------------------------------------------------

from powervc_ttv.utils import utils
import json
from powervc_ttv.utils import ttvCatalog
from powervc_ttv.utils import messageIDCatalog
from powervc_ttv.resources.NOVALINKResource import NOVALINKResource
from powervc_ttv import _
from powervc_ttv import translate_message

logFile = "novalink_network_val.log"
home_dir = "/var/log/ttv-validation/validators"
log_file = "{0}/{1}".format(home_dir.strip(), logFile)

NOVA_LINK_SAMPLE_VAL_CHK_ID = "NOVA_LINK_SAMPLE_VAL_CHK_ID"


class sampleChecker():

    def __init__(self, dummy_arg):
        self.dummy_arg = dummy_arg

    # Each validation check should implement this interface
    # to perform the check
    # There should be no argument to this method.
    # Any argument / input to this method should be passed
    # using __init__ method
    def check(self):
        chkResult = {}
        # Create an object for NovalinkResource
        # Obtain all the actual values against which comparison has to happen.
        self.nova_resource = NOVALINKResource()
        self.nova_resource.get_required_network_info()

        # compare against actuals
        # call methods for both pass/fail scenario
        chkResult = utils.checkResult("",
                                      "",
                                      "",
                                      "",
                                      "",
                                      "",
                                      "",
                                      "", "",
                                      NOVA_LINK_SAMPLE_VAL_CHK_ID)
        return chkResult


def read_exp_conf_values():
    solution_spec = "/opt/ibm/powervc/ttv-validation/conf/solution_spec.json"
    nova_reg_exp_info = utils.readJSONFile(solution_spec)[
        "novalink_network"]
    pass
    # Fetch all the expected values from solution spec.


def main():

    # Variable Initialization
    rc = 0
    output_dict = {
        "ValidationID": "NOVA_LINK_NETWORK_VALIDATOR",
        "ValidationStatus": "Success",
        "Description": "",
        "TargetedResourceType": "NOVA LINK",
        "IpAddress": "",
        "refs": [],
        "ValidationDetail": {
            "ChecksList": []
        },
    }
    resultList = output_dict["ValidationDetail"]["ChecksList"]

    # Logger Initialization
    chkLogger = utils.checkerLogger(log_file)
    logger = chkLogger.getLogger()

    args = utils.parse_arguments()
    global desired_locale
    desired_locale = args.locale if args is not None else None
    logger.info(desired_locale)
    output_dict["Description"] = translate_message(
        ttvCatalog.NOVA_LINK_NETWORK_VALIDATIONS,
        desired_locale)

    # Create object for each checker
    sampleChk = sampleChecker("dummy_val")

    """ Have commented below code..
    chkResultDict = sampleChk.check()
    resultList.append(chkResultDict)"""

    logger.info(_("Final Result is:-> {0}".format(
        json.dumps({"ValidationResult": output_dict}))))
    print(json.dumps({"ValidationResult": output_dict}))
    exit(rc)

if __name__ == "__main__":
    main()
