#!/usr/bin/python
# vim: tabstop=4 shiftwidth=4 softtabstop=4
# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================
from ttv_validation.api import versions
from ttv_validation.api.v1 import ttv_validation_api
from ttv_validation.api.v1.router import APIRouter
from ttv_validation.openstack.common import log as logging

LOG = logging.getLogger(__name__)


class PowerVCAPIRouter(APIRouter):
    """
    Routes requests on the OpenStack API to the appropriate controller
    and method.
    """

    def __init__(self, mapper):
        versions_resource = versions.create_resource()
        mapper.connect("versions", "/",
                       controller=versions_resource,
                       action='show')

        mapper.redirect("", "/")

        management_server_resource = ttv_validation_api.create_resource()

        mapper.connect("/validation",
                       controller=management_server_resource,
                       action='validate',
                       conditions={'method': ['GET']})

        mapper.connect("/validation/result",
                       controller=management_server_resource,
                       action='getResult',
                       conditions={'method': ['GET']})

        super(PowerVCAPIRouter, self).__init__(mapper)
