#!/usr/bin/python
# vim: tabstop=4 shiftwidth=4 softtabstop=4
# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

import httplib
import json


def get_server_groups(auth_token, tenant_id, logger):
    server_groups_list = []
    if(auth_token is not None and tenant_id is not None and
       len(auth_token) != 0 and len(tenant_id) != 0):
        header = {}
        header['Content-Type'] = 'application/json'
        header['Accept'] = 'application/json'
        header['X-Auth-Project-Id'] = 'ibm-default'
        header['User-Agent'] = 'python-novaclient'
        header['X-Auth-Token'] = auth_token

        url = "/v2/" + tenant_id + "/os-server-groups"
        logger.info(url)
        conn_handle = httplib.HTTPConnection("localhost", "8774")

        conn_handle.request("GET", url, None, header)
        response = conn_handle.getresponse()
        status = response.status
        logger.info(status)
        logger.info(response.reason)
        if(status != httplib.UNAUTHORIZED and status == httplib.OK):
            data = response.read()
            jsonData = json.loads(data)
            server_groups_list = jsonData["server_groups"]

        conn_handle.close()
        logger.info(server_groups_list)
        return server_groups_list


def get_tenant_ID(token):
    tenantId = ""
    header = {}
    header['Content-Type'] = 'application/json'
    header['X-Auth-Token'] = token
    auth = {"tenantName": "service"}
    body = json.dumps({"auth": auth})

    url = '/v2.0/tokens'
    conn_handle = httplib.HTTPConnection("127.0.0.1", "35357")
    conn_handle.request("POST", url, body, header)
    response = conn_handle.getresponse()
    status = response.status
    if(status != httplib.UNAUTHORIZED and status == httplib.OK):
        data = response.read()
        jsonData = json.loads(data)
        token = jsonData['access']['token']['id']
        tenantId = jsonData['access']['token']['tenant']['id']
    conn_handle.close()
    return tenantId
