#!/usr/bin/python
# vim: tabstop=4 shiftwidth=4 softtabstop=4
# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================


class CommandExecutionFailed(Exception):
    def __init__(self, command=None, error='', **kwargs):
        self.command = command
        self.error = error
        self.kwargs = kwargs
        if 'command' in self.kwargs:
            command = self.kwargs['command']
        if 'error' in self.kwargs:
            error = self.kwargs['error']
        message = ("Unexpected exception while running command. "
                   "Review the log for additional details.")
        super(CommandExecutionFailed, self).__init__(message)


class ConfigFileError(Exception):
    pass
