#!/usr/bin/python
# vim: tabstop=4 shiftwidth=4 softtabstop=4
# =================================================================
# Licensed Materials - Property of IBM
#
# (c) Copyright IBM Corp. 2015 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# =================================================================

from powervc_ttv import _

CATALOG_INITIALIZATION = _('Catalog initialized successfully')
MISSING_CONFIG_FILE = _('PowerVC-TTV configuration file is not found')
VFLEX_INITIALIZATION_0001 = _('Failed to fetch Solution Topology' +
                              ' Configuration File')
VFLEX_INITIALIZATION_0002 = _('Unable to read property {0}' +
                              ' from resource configuration file')
TTV_INITIALIZATION_0003 = _('Found no resources in Solution Topology ' +
                            'Configuration File for Resource Type {0}')
TTV_INITIALIZATION_MANAGEMENT_SERVER_0003 = \
    _('Definition for management server in Solution Topology Configuration' +
      'File is required.')
TTV_INITIALIZATION_MANAGEMENT_SERVER_0004 = \
    _('IPAddress {0} for management server in Solution Topology ' +
      'Configuration File is incorrect.')
TTV_INITIALIZATION_0004 = _('Found duplicate IPAddress for {0} on Solution ' +
                            'Topology Configuration File for ' +
                            'Resource Type {1}')
TTV_MISSING_SCRIPT_FILE_0005 = _('Script does not exists:{0}')
TTV_MISSING_SCRIPT_FILE_0006 = _('Script location for {0} does not ' +
                                 'exists in:{1}')
TTV_MISSING_FILE_0007 = _('File not found: {0}')
MANAGEMENT_SERVER_OPERATING_SYSTEM_SERVICE = _('Operating System Service: {0}')
MANAGEMENT_SERVER_OPERATING_SYSTEM_SERVICE_RUNNING = _('is running...')
MANAGEMENT_SERVER_OPERATING_SYSTEM_SERVICE_NOT_RUNNING = _('is not running...')
MANAGEMENT_SERVER_SERVICE_DOES_NOT_EXIST = _('{0} not found.')
CA_MANAGEMENT_SERVER_SERVICE_DOES_NOT_EXIST = \
    _('Check the services configuration on the management server.')
MANAGEMENT_SERVER_OPEN_STACK_SERVICE = _('OpenStack Service: {0}')
MANAGEMENT_SERVER_EGO_OPEN_STACK_SERVICE = _('EGO OpenStack Service: {0}')
MANAGEMENT_SERVER_DB2_SERVICE_SUCCESS_STATUS = _('A db2sysc process with' +
                                                 ' instance {0} is running.')
MANAGEMENT_SERVER_DB2_SERVICE_INSTANCE_ERROR_STATUS = \
    _('A db2sysc process with instance {0} is not running.')
CA_MANAGEMENT_SERVER_DB2_CONFIGURATION_ERROR = \
    _('Error in DB2 Configuration, try restarting DB2 with instance name {0}')
CA_MANAGEMENT_SERVER_SERVICE_START = \
    _('Try starting Service: {0}, use /opt/ibm/powervc/bin/powervc-services' +
      ' {1} start')
CA_MANAGEMENT_SERVER_KEYSTONE_SERVICE_RESTART = \
    _('Try restarting Service: {0}, use /opt/ibm/powervc/bin/' +
      'powervc-services {1} restart. If it does not help, then try ' +
      'restarting service: {2}, use /opt/ibm/powervc/bin/' +
      'powervc-services {3} restart')
MANAGEMENT_SERVER_OPERATING_SYSTEM_SERVICE_EXCEPTION = \
    _('Failed to query Operating System Service: {0}')
MANAGEMENT_SERVER_OPEN_STACK_SERVICE_EXCEPTION = \
    _('Failed to query OpenStack Service: {0}')
MANAGEMENT_SERVER_EGO_OPEN_STACK_SERVICE_EXCEPTION = \
    _('Failed to query EGO OpenStack Service: {0}')
MANAGEMENT_SERVER_DB2_INSTANCE_CHECK_EXCEPTION = \
    _('Failed to query DB2 db2sysc process: {0}')
MANAGEMENT_SERVER_HOSTNAME_QUERY_FAILED = \
    _('Unable to find the host name of the management server.')
MANAGEMENT_SERVER_HOSTNAME_PING_FAILED = _('Unable to ping host name "{0}"' +
                                           ' on the management server.')
MANAGEMENT_SERVER_HOSTNAME_PING_SUCCESS = _('Able to ping host name "{0}"' +
                                            ' on the management server.')
MANAGEMENT_SERVER_HOSTNAME_NOT_SET = _('Host name not configured on the' +
                                       ' management server. Host name is {0}.')
CA_MANAGEMENT_SERVER_HOSTNAME_NOT_SET = _('Configure the management server' +
                                          ' host name.')
MANAGEMENT_SERVER_IPADDRESS_LOOPBACK = \
    _('Management server host name {0} resolves to loop back IP address {1}')
CA_MANAGEMENT_SERVER_IPADDRESS_LOOPBACK = \
    _('Configure correct IP address resolution for the ' +
      'host name of the management server.')
IPADDRESS_PING_SUCCESS = _('Able to ping IP address {0} from management' +
                           ' server.')
IPADDRESS_PING_FAILED = _('Unable to ping IP address {0}  from the ' +
                          'management server.')
CA_IPADDRESS_PING_FAILED = _('Check if IP address {0} configurations' +
                             ' are correct.')
RESOURCE_SSH_KEY_NOT_FOUND = _('The SSH key file {0} you specified' +
                               ' was not found.')
CA_RESOURCE_SSH_KEY_NOT_FOUND = _('Specify a valid SSH Key and ensure' +
                                  ' the location is correct')
CA_MANAGEMENT_SERVER_HOSTNAME_PING_FAILED = \
    _('Verify the host name' +
      ' and IP address configuration on the management server.')

FILESYSTEM_SIZE_CHECK_SUCCESS = \
    _('The available /var file system' +
      ' space on the PowerVC management server meets the minimum requirement.')
FILESYSTEM_SIZE_CHECK_FAILURE = \
    _('The available /var file system' +
      ' space on the PowerVC management server is less than what is ' +
      'required. The available free space is {0} MB and the required ' +
      'free space should be {1} MB.')
CA_FILESYSTEM_SIZE_CHECK_EXPAND = \
    _('Make total disk space on the' +
      ' PowerVC management server to at least {0} MB')
CA_LOCAL_HOST_FILESYSTEM_SIZE_CHECK_EXPAND = \
    _('Hosts are using ' +
      'local storage on the management server. Hence, make total disk space' +
      ' on the PowerVC management server to at least {0}GB')
FILESYSTEM_SIZE_CHECK_EXCEPTION = _('Could not check the total disk' +
                                    ' size of the PowerVC management server.')
CA_FILESYSTEM_SIZE_CHECK_EXCEPTION = _('Check the total disk size' +
                                       ' on the PowerVC management server.')

FILE_CREATION_ERROR = _('Could not create file {0} or a file with' +
                        ' that name may already exist.')
INSUFFICIENT_SOLUTION_TOPOLOGY_DATA_IPADDRESS = \
    _('IP address is' +
      ' missing in Solution Topology Configuration File for resource ID {0}')
INSUFFICIENT_SOLUTION_TOPOLOGY_DATA = \
    _('Insufficient data {0}' +
      ' Solution Topology Configuration File for IP address {1}.')
INSUFFICIENT_SOLUTION_TOPOLOGY_DATA_RESOURCETYPE = \
    _('There is no' +
      ' IP address or credential details in the Solution Topology' +
      ' Configuration File for Resource Type {0}')
CA_INSUFFICIENT_SOLUTION_TOPOLOGY_DATA_RESOURCETYPE = \
    _('Resource needs' +
      ' to be defined for the Resource Type {0} along with valid IPv4 ' +
      'address and credentials in the Solution Topology Configuration File.')
RESOURCE_REACHABLE = _('{0} Resource is reachable')
RESOURCE_UNREACHABLE = _('{0} Resource is not reachable')
LICENSE_ACCEPTED = _('The Virtual I/O Server license has been accepted.')
LICENSE_NOT_ACCEPTED = \
    _('The Virtual I/O Server license has not been accepted.')
CA_LICENSE_NOT_ACCEPTED = _('Accept the Virtual I/O Server license' +
                            ' and re-try again.')
VIOS_IN_IVM_MODE = _('The Integrated Virtualization Manager is enabled.')
VIOS_NOT_IN_IVM_MODE = _('The Integrated Virtualization Manager is not' +
                         ' enabled on the Virtual I/O Server.')
CA_VIOS_NOT_IN_IVM_MODE = \
    _('Verify Power host is not managed by HMC' +
      '  and Integrated Virtualization Manager is enabled.')
UNKNOWN_ERROR = _('Error found during validation.')
UNEXPECTED_ERROR = _('An unexpected error has occurred during {0} validation.')
VIOS_MINIMUM_LEVEL_MATCH = _('The version of the Virtual I/O Server that' +
                             ' is installed is the required version.')
VIOS_MINIMUM_LEVEL_SUCCESS = _('The version of the Virtual I/O Server' +
                               ' that is installed is supported.')
VIOS_MINIMUM_LEVEL_FAILED = \
    _('The version of the Virtual I/O Server' +
      ' that is installed is an older version than what is required.' +
      ' The installed version is {0} and the required minimum version' +
      ' is {1}.  Update your Virtual I/O Server software to the' +
      ' required minimum version.')
VIOS_MINIMUM_LEVEL_CHECK_EXCEPTION = \
    _('Unable to check the version of the Virtual I/O Server software '
      'that is installed on VIOS virtual machine. '
      'Check VIOS is active Or RMC in running state.')
CA_VIOS_MINIMUM_LEVEL_FAILED = \
    _('Update your Virtual I/O Server software' +
      ' greater than or equal to the required minimum version.')
VIOS_MAX_VIRTUAL_SLOTS_SUCCESS = \
    _('The configured maximum number of virtual' +
      ' resources is equal to or greater than the recommended number. ')
VIOS_MAX_VIRTUAL_SLOTS_FAILURE = \
    _('The configured maximum number of virtual' +
      ' resources is less than the recommended number. The recommended' +
      ' number is {1} and the configured maximum value is set to {0}.')
CA_VIOS_MAX_VIRTUAL_SLOTS_FAILURE = \
    _('Configure curr_max_virtual_slots' +
      ' property on Virtual I/O server to minimum required number' +
      ' as per specification.')
SSH_KEY_EXCHANGE_SUCCESS = \
    _('An SSH key exchange that does not require' +
      ' a password has been set up from the management server to {0}' +
      ' resource {1}.')
SSH_KEY_EXCHANGE_FAILED = \
    _('An SSH key exchange that does not require a password is required ' +
      'from the management server to {0} resource {1}.')
RESOURCE_REACHABLE_FROM_MANAGEMENTSERVER = _('{0} resource is reachable' +
                                             ' from the management server.')
RESOURCE_UNREACHABLE_FROM_MANAGEMENTSERVER = \
    _('{0} resource is not reachable from the management server.')
RESOURCE_UNREACHABLE_FROM_MANAGEMENTSERVER_EXCEPTION = \
    _('Error while validating {0} resource {1} reachability.')
UNABLE_TO_QUERY_SERVER_PROPERTIES = \
    _('Unable to query the Power server model type and resource properties.')
UNABLE_TO_QUERY_SERVER_PROPERTIES_MTM = \
    _('Unable to determine the machine type and model of the Power server.')
UNABLE_TO_QUERY_SERVER_PROPERTIES_MTM_EXCEPTION = \
    _('Unable to determine the machine type and model of the Power server.')
UNABLE_TO_QUERY_SERVER_PROPERTIES_CPU = \
    _('Unable to determine the processing units of the Power server.')
UNABLE_TO_QUERY_SERVER_PROPERTIES_CPU_EXCEPTION = \
    _('Unable to determine the processing units of the Power server.')
UNABLE_TO_QUERY_SERVER_PROPERTIES_MEM = \
    _('Unable to determine the memory availability of the Power server.')
UNABLE_TO_QUERY_SERVER_PROPERTIES_MEM_EXCEPTION = \
    _('Unable to determine the memory availability of the Power server.')
UNABLE_TO_QUERY_SERVER_PROPERTIES_RESOURCES = \
    _('Unable to get information about the resources on the Power server.')
POWERSERVER_MAX_SUPPORTED_LIMIT_EXCEEDED = \
    _('You have registered {0} hosts' +
      ' with PowerVC. The recommended maximum is {1}. You can use PowerVC' +
      ' with more hosts than are recommended, but this could result in' +
      ' performance delays or other problems.')
CA_POWERSERVER_MAX_SUPPORTED_LIMIT_EXCEEDED = \
    _('Configure the number of' +
      ' power servers as per supported limit.')
CA_POWERSERVER_MAX_SUPPORTED_LIMIT_EXCEEDED_IVM_SAN = \
    _('All hosts are using' +
      ' SAN attached storage. Configure the number of power servers as per' +
      ' recommended limit. The recommended limit is {0}.')
CA_POWERSERVER_MAX_SUPPORTED_LIMIT_EXCEEDED_IVM_LOCAL = \
    _('One or more hosts' +
      ' are using local disk storage configuration. Configure the number of' +
      ' power servers as per recommended limit. The recommended limit is {0}.')

POWERSERVER_MTM_MATCH = _('The Power server is the correct machine type' +
                          ' and model {0}.')
POWERSERVER_MTM_MISMATCH = _('The Power server model {0} is not one of' +
                             ' the supported models.')
CA_POWERSERVER_MTM_MISMATCH = \
    _('Try again with a Power system that is one' +
      ' of the supported models. Refer to documentation for specification of' +
      ' supported models.')
POWERSERVER_CPU_MATCH = _('The server has the required number of' +
                          ' processing units.')
POWERSERVER_CPU_MISMATCH = \
    _('The number of processing units that' +
      ' are available on the Power server is less than the required minimum.' +
      '  The required minimum is {1} and the server has {0}.')
CA_POWERSERVER_CPU_MISMATCH = \
    _('Configure the Power server with' +
      ' minimum specified processing units.')
POWERSERVER_MEM_MATCH = \
    _('The amount of memory that is available on' +
      ' the Power server is greater than or equal to the required minimum.')
POWERSERVER_MEM_MISMATCH = \
    _('The amount of memory that is available' +
      ' on the Power server is less than the required minimum.  The minimum' +
      ' required is {1} and the server has {0}.')
CA_POWERSERVER_MEM_MISMATCH = _('Configure the Power server with' +
                                ' minimum specified memory.')
CA_POWERSERVER_CONFIGURATION = \
    _('Configure the Power server' +
      ' resources as per specification.' +
      ' Ensure that Power Server is IVM enabled.')
POWERSERVER_CONFIGURATION_EXCEPTION = \
    _('Unable to perform Power' +
      ' Server Validations completely. Refer to ' +
      '"/var/log/ttv-validation/validators/hmc_details.log" for more details.')
STORAGE_MTM_MATCH = _('The storage system is a supported model.')
STORAGE_MTM_MISMATCH = \
    _('The storage system is not on the list of' +
      ' supported models.  The supported storage models are ' +
      'the following:  {1}.')
CA_STORAGE_MTM_MISMATCH = _('Try again with a storage system that' +
                            ' is one of the supported models.')
STORAGE_MTM_FETCH_ERROR = \
    _('Unable to determine the machine' +
      ' type and model information of storage system {0}.')
CA_STORAGE_MTM_FETCH_ERROR = _('Configure Storage resource' +
                               ' {0} as per specification.')
STORAGE_MTM_EXCEPTION = _('An error occurred while trying' +
                          ' to determine the machine type and model ' +
                          'number of storage system  {0}.')
STORAGE_CLUSTER_NAME_ERROR = _('Unable to query the cluster' +
                               ' name for storage system {0}.')
CA_STORAGE_CLUSTER_NAME_ERROR = _('Configure storage system' +
                                  ' {0} as per specification.')
STORAGE_FIRMWARE_FETCH_ERROR = \
    _('Unable to determine the' +
      ' level of the firmware installed on storage system {0}.')
CA_STORAGE_FIRMWARE_FETCH_ERROR = _('Configure storage system' +
                                    ' {0} as per specification.')
STORAGE_FIRMWARE_MISMATCH = _('The current firmware level' +
                              ' is lower than the required level.  ' +
                              'The current level is {0}' +
                              ' and the required level is {1}.')
CA_STORAGE_FIRMWARE_MISMATCH = \
    _('Update the firmware on' +
      ' storage system {0} to the required level, {1}.')
STORAGE_FIRMWARE_MATCH = _('The level of firmware on the' +
                           ' storage system is correct.')
RESOURCE_CRENDENTIAL_VALID = _('The credentials for {0}' +
                               ' resource have been validated.')
RESOURCE_CRENDENTIAL_PWD_VALID = _('The password for {0}' +
                                   ' resource has been confirmed.')
RESOURCE_CRENDENTIAL_PWD_VALID_NEED_RESET = \
    _('The password' +
      ' for {0} resource has been confirmed. But this resource requires' +
      ' password to be reset for any of further operations.')
CA_RESOURCE_CRENDENTIAL_PWD_VALID_NEED_RESET = \
    _('Reset' +
      ' password to avoid further failures.')
RESOURCE_CRENDENTIAL_SSH_VALID = _('The SSH keys for {0}' +
                                   ' resource have been validated.')
RESOURCE_CRENDENTIAL_INVALID = _('The credentials for {0}' +
                                 ' resource are not valid.')
RESOURCE_CRENDENTIAL_SSH_INVALID = \
    _('SSH key authentication' +
      ' with {0} resource {1} has failed either due to invalid SSH key' +
      ' or resource is down at the moment.')
RESOURCE_CRENDENTIAL_PWD_INVALID = \
    _('The credential check' +
      ' for {0} resource {1} has failed either due to invalid credentials' +
      ' or resource is down at the moment.')
RESOURCE_USERID_MISSING = _('The user name for {0} resource' +
                            ' {1} was not provided.')
RESOURCE_PWD_MISSING = _('The password for {0} resource {1}' +
                         ' was not provided.')
CA_RESOURCE_CRENDENTIAL_INVALID = \
    _('The credentials for' +
      ' endpoint {1} of resource type {0} are not valid or resource' +
      ' is down at the moment.')
RESOURCE_SSH_KEY_MISSING = _('The SSH Key file for {0}' +
                             ' resource {1} was not provided.')
RESOURCE_CRENDENTIAL_MISSING = \
    _('The credentials for {0}' +
      ' resource {1} are missing on the Solution Topology Configuration File.')
RESOURCE_CRENDENTIAL_EXCEPTION = \
    _('An exception has occurred' +
      ' while checking for valid credentials for resource {1} of ' +
      'resource type {0}.')
RESOURCE_CRENDENTIAL_UNKNOWN_EXCEPTION = \
    _('An exception' +
      ' has occurred while validating credentials for {0} resource.')
RESOURCE_KEY_AND_PASSW0RD_MISSING = \
    _('The SSH key' +
      ' and password for {0} resource {1} was not provided.')
SEA_SUCCESS = \
    _('The number of configured' +
      ' and available Shared Ethernet Adapters (SEAs) on the system meets' +
      ' or exceeds the minimum requirement.' +
      ' The following SEAs were found: {0}')
SEA_FAILURE_VLAN = \
    _('Default virtual adapter' +
      ' {0} for SEA device {1} has additional VLAN IDs {2} configured.' +
      ' Only one VLAN is allowed.')
SEA_FAILURE_SEA_COUNT = _('The number of' +
                          ' configured and available Shared Ethernet' +
                          ' Adapters (SEAs) on the system' +
                          ' fails to meet the minimum requirement.' +
                          ' The system requires a minimum of {1} SEAs' +
                          ' but contains {0} SEAs.')
SEA_FAILURE_NONE = \
    _('The number of configured' +
      ' and available Shared Ethernet Adapters (SEAs) on the system fails' +
      ' to meet the minimum requirement.' +
      ' The system requires a minimum of {0}' +
      ' SEAs but contains zero SEAs')
SEA_QUERY_FAILURE = \
    _('Could not get' +
      ' information about the configuration or properties of the' +
      ' Shared Ethernet Adapter {0}.')
CA_SEA = _('Configure and make available' +
           ' at least one single SEA. See "Configuring a ' +
           'Shared Ethernet Adapter" for more information.')
SEA_AT_NOT_AVAILABLE_STATE = \
    _('Shared' +
      ' Ethernet Adapter (SEA) {0} is configured but not available.')
SEA_EXCEPTION = _('Unable to query for' +
                  ' Shared Ethernet Adapter on Virtual I/O Server.')
LUN_VISIBILITY_SUCCESS = \
    _('The Virtual' +
      ' I/O Server has visibility to a disk provisioned on the following' +
      ' storage provider(s) {0}.')
LUN_VISIBILITY_ERROR = \
    _('The Virtual' +
      ' I/O Server does not have visibility to a disk provisioned on the' +
      ' following storage provider(s) {0}.')
STORAGE_LUN_VISIBILITY_EXCEPTION = \
    _('Cannot' +
      ' determine if a disk from storage provider {0} is provisioned to all' +
      ' of the Virtual I/O Server virtual machines.')
VIOS_LUN_VISIBILITY_EXCEPTION = \
    _('Cannot' +
      ' determine if a disk from storage provider {0} is provisioned to ' +
      'the Virtual I/O Server.')
CA_LUN_VISIBILITY_FAILED = \
    _('Check your' +
      ' storage, Virtual I/O server, and SAN switch configuration to' +
      ' ensure  that' +
      ' the Fibre Channel connectivity' +
      ' is configured correctly.')
STORAGE_NONE_CONNECTIVITY = \
    _('None of the ' +
      'Virtual I/O Server virtual machines are attached' +
      ' to this storage provider.')
CA_STORAGE_NONE_CONNECTIVITY = \
    _('Verify that' +
      ' the storage provider and the Virtual I/O Servers are connected to' +
      ' the same Fibre Channel fabric, and that zoning' +
      ' is in place to ensure connectivity.')
UNABLE_TO_QUERY_VIOS_PROPERTIES = \
    _('Unable to' +
      ' query Virtual I/O Server configuration and properties.')
CA_UNABLE_TO_QUERY_VIOS_PROPERTIES = \
    _('Ensure' +
      ' that Virtual I/O Server is installed and configured to work ' +
      'with your storage and networking environment.' +
      ' Check the log file ' +
      '/var/log/ttv-validation/validators/hmc_details.log for ' +
      'more information.')
POWERHOST_ACTIVE_LPAR_MOBILITY_CAPABLE_SUCCESS = \
    _('PowerVM property' +
      ' required for Virtual Server relocation "Logical Partition Mobility"' +
      ' is enabled.')
POWERHOST_ACTIVE_LPAR_MOBILITY_CAPABLE_FAILURE = \
    _('PowerVM property' +
      ' required for Virtual Server relocation "Logical Partition Mobility"' +
      ' is not enabled. Not able to' +
      ' do Live VirtualServer relocation until it is enabled.')
CA_POWERHOST_ACTIVE_LPAR_MOBILITY_CAPABLE_FAILURE = \
    _('Enter the' +
      ' PowerVM Enterprise activation code and configure the Power host' +
      ' as per specification.')

POWERVC_SERVER_MINIMUM_CPU_CHECK_SUCCESS = \
    _('The PowerVC' +
      ' management server meets the minimum processor requirements.')
POWERVC_MIN_CPU_CHECK_FAILURE = \
    _('The PowerVC management' +
      ' server does not meet the minimum processor requirements.')
CA_POWERVC_SERVER_MINIMUM_CPU_CHECK = \
    _('Configure the processors' +
      ' and memory on the PowerVC management server so they meet' +
      ' the requirements.')
POWERVC_SERVER_MINIMUM_MEMORY_CHECK_SUCCESS = \
    _('The PowerVC management' +
      ' server meets the minimum memory requirements.')
POWERVC_SERVER_MINIMUM_MEMORY_CHECK_FAILURE = \
    _('The PowerVC management' +
      ' server does not meet the minimum memory requirements. The actual is' +
      ' {0}GB but expected is {1}GB.')
POWERVC_SERVER_MINIMUM_SWAP_SPACE_CHECK_SUCCESS = \
    _('The PowerVC management' +
      ' server meets the minimum swap space requirements.')
POWERVC_SERVER_MINIMUM_SWAP_SPACE_CHECK_FAILURE = \
    _('The PowerVC management' +
      ' server does not meet the minimum swap space requirements.' +
      ' The current amount of swap space is' +
      ' {0} MB but {1} MB are required.')
CA_POWERVC_SERVER_MINIMUM_SWAP_SPACE_CHECK = \
    _('The PowerVC management' +
      ' server must have at least {0} MB of swap space available.')
CA_POWERVC_SERVER_MINIMUM_MEMORY_CHECK = \
    _('The PowerVC management' +
      ' server should have at least {0} GB of memory available to it.')
POWERVC_SERVER_MINIMUM_CPU_CHECK_EXCEPTION = \
    _('Could not check PowerVC' +
      ' management server minimum processor requirement.')
POWERVC_SERVER_MINIMUM_MEMORY_CHECK_EXCEPTION = \
    _('Could not check' +
      ' PowerVC management server minimum memory requirement.')
POWERVC_SERVER_MINIMUM_SWAP_SPACE_CHECK_EXCEPTION = \
    _('The environment checker could not verify the ' +
      ' PowerVC management server minimum swap space requirement.')
CA_POWERVC_SERVER_MINIMUM_CPU_CHECK_EXCEPTION = \
    _('Ensure that the' +
      ' PowerVC management server meets the minimum processor requirements.')
CA_POWERVC_SERVER_MINIMUM_MEMORY_CHECK_EXCEPTION = \
    _('Ensure that' +
      ' the PowerVC management server meets the minimum memory requirements.')
CA_POWERVC_SERVER_MINIMUM_SWAP_SPACE_CHECK_EXCEPTION = \
    _('Ensure that' +
      ' the PowerVC management server meets the minimum' +
      ' swap space requirements. The PowerVC management server must have at' +
      ' least {0} MB of swap space available.')

LDAP_CONNECTION_SUCCESS = \
    _('The Lightweight Directory Access' +
      ' Protocol (LDAP) server was successfully accessed using the' +
      ' server credentials.')
LDAP_ANONYMOUS_CONNECTION_SUCCESS = \
    _('The Lightweight Directory' +
      ' Access Protocol (LDAP) server was successfully accessed' +
      ' with anonymous bind.')
LDAP_CONNECTION_ERROR = _('Connection to the Lightweight Directory' +
                          ' Access Protocol (LDAP) server failed.')
LDAP_CONNECTION_EXCEPTION = \
    _('PowerVC cannot determine if a' +
      ' connection to the lightweight directory access protocol (LDAP)' +
      ' server is possible.')
CA_LDAP_CONNECTION_ERROR = _('Configure the LDAP server' +
                             ' as specified in "Configuring LDAP".')

LDAP_USER_SUCCESS = \
    _('Group "{2}" on the Lightweight' +
      ' Directory Access Protocol (LDAP) server contains {1} users.' +
      ' This successfully meets' +
      ' the minimum requirement of users.')
LDAP_USER_ERROR = _('Group "{1}" on the Lightweight' +
                    ' Directory Access Protocol (LDAP) server contains zero' +
                    ' users. This fails to meet the minimum' +
                    ' requirement of users.')
CA_LDAP_USER_CONNECTION_ERROR = \
    _('Add at least one user to the "{0}" group for the LDAP server.')

SMIS_CREDENTIALS_SUCCESS = \
    _('Able to connect to' +
      ' SMIS provider. The credentials for {0} resource have been validated.')
SMIS_CREDENTIALS_FAILED = \
    _('Unable to connect to' +
      ' SMIS provider. The IPAddress or credentials for {0}' +
      ' resource are not valid.')
CA_SMIS_CREDENTIALS_FAILED = \
    _('The IPAdress or' +
      ' credentials for SMIS Provider endpoint {1} are not valid.')
SMIS_RESOURCE_CRENDENTIAL_EXCEPTION = \
    _('An exception' +
      ' has occurred while checking for valid credentials for' +
      '  SMIS Provider resource {1}.')
CA_SMIS_RESOURCE_CRENDENTIAL_EXCEPTION = \
    _('Configure' +
      ' SMIS Provider resource {1} as per specification.')
SMIS_RESOURCE_PORT_MISSING = \
    _('Please provider SMIS' +
      ' Provider port number during host registration for resource {0}.')
SMIS_PROXY_PROVIDER_VERSION_SUCCESS = \
    _('SMIS Provider' +
      ' Version is greater than or equal to required version {0}. {1}.')
SMIS_PROXY_PROVIDER_VERSION_FAILED = \
    _('SMIS Provider' +
      ' Version does not match with support provider version. The required' +
      ' version should be greater than' +
      ' or equal to {0}. {1}.')
CA_SMIS_PROXY_PROVIDER_VERSION_FAILED = \
    _('Configure' +
      ' SMIS provider is configured as per specification.')
SMIS_PROXY_PROVIDER_VERSION_CHECK_EXCEPTION = \
    _('Unable' +
      ' to query SMIS Provider version.')

EMCVMAX_STORAGE_MODEL_CHECK_SUCCESS = \
    _('EMC Storage' +
      ' {0} registered with SMIS Provider {1}. {2}.')
EMCVMAX_STORAGE_MODEL_CHECK_FAILED = \
    _('EMC Storage' +
      ' {0} registered with SMIS Provider {1}. The storage' +
      ' system model is not on the list of' +
      ' supported models.  The supported' +
      ' storage models are {2}.')
CA_EMCVMAX_STORAGE_MODEL_CHECK_FAILED = \
    _('Configure' +
      ' EMC Storage as per specification.')
EMC_STOARGE_MODEL_CHECK_EXCEPTION = \
    _('Unable to query EMC Storage Model.')
SMIS_PROXY_PROVIDER_VALIDATION_EXCEPTION = \
    _('Unable' +
      ' to perform SMIS Provider Validations completely.')
CA_SMIS_PROXY_PROVIDER_VALIDATION_EXCEPTION = \
    _('Configure' + ' SMIS Provider as per specifications.')
EMCVMAX_STORAGE_VALIDATION_EXCEPTION = \
    _('Unable to perform' + ' EMC Storage Validations completely.')
CA_EMCVMAX_STORAGE_VALIDATION_EXCEPTION = \
    _('Configure SMIS Provider as per specifications.')

SMIS_PROVIDER_INFO_MISSING_EMCVMAX_STORAGE = \
    _('The managing' +
      ' SMI-S provider info is missing in Solution Topology' +
      ' Configuration File for EMC Storage {0}.')

POWERSERVER_OPERATING_STATE_MATCH = _('The Power Systems host' +
                                      ' is in the {0} state.')
POWERSERVER_OPERATING_STATE_MISMATCH = \
    _('The Power Systems' +
      ' host is in {0} state and it must be in the Operating state.')
UNABLE_TO_QUERY_SERVER_PROPERTIES_STATE = \
    _('Unable to' +
      ' determine the state of the Power Systems host.')
CA_POWERSERVER_STATE_MISMATCH = _('The Power Systems host' +
                                  ' must be in the Operating state.')
UNABLE_TO_QUERY_SERVER_PROPERTIES_STATE_EXCEPTION = \
    _('An' +
      ' error occurred while checking the state of the Power Systems host.')

CA_HMC_POWERSERVER_CONFIGURATION = _('Configure the Power' +
                                     ' server resources as per specification.')

UNABLE_TO_QUERY_SERVER_PROPERTIES_VIOS_CAPABLE = \
    _('Unable to' +
      ' determine if the host is able to run the Virtual I/O Server.')
POWERSERVER_IS_VIOS_CAPABLE = \
    _('The host is capable to run' +
      ' the Virtual I/O Server.')
POWERSERVER_IS_NOT_VIOS_CAPABLE = _('The host is not capable' +
                                    ' to run the Virtual I/O Server.')
CA_POWERSERVER_VIOS_CAPABLE_MISMATCH = \
    _('Ensure that the' +
      ' correct PowerVM license is installed.')
UNABLE_TO_QUERY_POWERSERVER_PROPERTIES_VIOS_CAPABLE_EXCEPTION = \
    _('An' +
      ' error occurred while checking to see if the host can run' +
      ' the Virtual I/O Server.')

UNABLE_TO_QUERY_SERVER_PROPERTIES_MICRO_PARTITION_CAPABLE = \
    _('Unable ' +
      'to determine if Micro-Partitioning is enabled on the host.')
POWERSERVER_IS_MICRO_PARTITION_CAPABLE = \
    _('Micro-Partitioning is enabled on this host.')
POWERSERVER_IS_NOT_MICRO_PARTITION_CAPABLE = \
    _('Micro-Partitioning is not enabled on this host.')
CA_POWERSERVER_MICRO_PARTITION_CAPABLE_MISMATCH = \
    _('Ensure that the' +
      ' host is enabled for micro-partitioning, and ensure that the' +
      ' correct PowerVM license is installed.')
UNABLE_TO_QUERY_POWERSERVER_PROPERTIES_MICRO_PARTITION_CAPABLE_EXCEPTION =\
    _('An error occurred while determining if Micro-Partitioning is enabled.')

UNABLE_TO_QUERY_SERVER_PROPERTIES_SRR_CAPABLE = \
    _('Unable to determine if simplified remote restart capability ' +
      'is enabled on the host.')
POWERSERVER_IS_SRR_CAPABLE = \
    _('Simplified remote restart capability is enabled on this host.')
POWERSERVER_IS_NOT_SRR_CAPABLE = \
    _('Simplified remote restart capability is not enabled on this host.')
CA_POWERSERVER_SRR_CAPABLE_MISMATCH = \
    _('Ensure that the host is enabled for ' +
      'simplified remote restart capability, and ensure that the' +
      ' correct PowerVM license is installed.')
UNABLE_TO_QUERY_POWERSERVER_PROPERTIES_SRR_CAPABLE_EXCEPTION =\
    _('An error occurred while determining if simplified remote restart ' +
      'capability is enabled.')

UNABLE_TO_QUERY_SERVER_PROPERTIES_LPM = \
    _('Unable to determine' +
      ' if Logical Partition Mobility is enabled on the host.')
POWERSERVER_IS_ACTIVE_LPM_CAPABLE = _('Logical Partition' +
                                      ' Mobility is enabled on the host.')
POWERSERVER_IS_NOT_ACTIVE_LPM_CAPABLE = \
    _('Logical Partition' +
      ' Mobility is not enabled on the host.')
CA_POWERSERVER_LPM_MISMATCH = _('Logical Partition Mobility' +
                                ' is not enabled on the host.')
UNABLE_TO_QUERY_POWERSERVER_PROPERTIES_LPM_EXCEPTION = \
    _('An error occurred while verifying that the host can run ' +
      'Live Partition Mobility.')


UNABLE_TO_QUERY_SERVER_PROPERTIES_PROC_TYPE = \
    _('Unable to determine' +
      ' the processor type of the Power Systems host.')
POWERSERVER_PROC_TYPE_MATCH = _('The processor type of the Power' +
                                ' Systems host matches the supported types. ')
POWERSERVER_PROC_TYPE_MISMATCH = \
    _('The processor type of the Power' +
      ' Systems host is not one of the supported processor types. The ' +
      'supported types are as follows: "{0}" ')
CA_POWERSERVER_PROC_TYPE_MISMATCH = \
    _('The processor type of the' +
      ' Power Systems host should be one of the following: "{0}". ')
UNABLE_TO_QUERY_POWERSERVER_PROPERTIES_PROC_TYPE_EXCEPTION = \
    _('An' +
      ' error occurred while determining the processor type of the' +
      ' Power Systems host.')


HMC_K2_LOGON_AUTH_SUCCESS = _('Successfully connected to the HMC.')
HMC_K2_LOGON_AUTH_FAILED = \
    _('Unable to connect to the HMC.' +
      ' This maybe because the HMC is not reachable at the moment' +
      ' OR The address or credentials' +
      ' used to connect are not valid.')
CA_HMC_K2_LOGON_AUTH_FAILED = _('Check that the HMC is ' +
                                'reachable and credentials are valid.')
HMC_K2_LOGON_AUTH_EXCEPTION = \
    _('An unexpected error has' +
      ' occurred while checking the credentials for the HMC.')

HMC_VERSION_SUCCESS = _('The version of HMC' +
                        ' software that is installed is supported.')
HMC_VERSION_FAILED = _('The version of HMC' +
                       ' software that is installed is not supported.' +
                       ' The HMC is at version {0}, release  {1}, ' +
                       'modification {2}.')
CA_HMC_VERSION_FAILED = \
    _('The HMC must' +
      ' be at version {0}, release {1}, modification {2} or higher.')
UNABLE_TO_QUERY_HMC_VERSION = _('Unable to determine' +
                                ' the version of the HMC software.')
CA_HMC_CONFIGURATION = _('Configure HMC as per specifications.')
HMC_VERSION_QUERY_EXCEPTION = _('An unexpected error occurred' +
                                ' while checking the version of HMC {0}.')

POWERSERVER_NO_OF_VIRTUAL_SERVERS = \
    _('There are {0} Virtual ' +
      'I/O Server virtual machines on the host.')
POWERSERVER_NO_OF_VIRTUAL_SERVERS_FAILED = \
    _('The Power Systems ' +
      'server does not have any Virtual I/O Server ' +
      'virtual machine(s) on it.  It is required to have one or more.')
CA_POWERSERVER_NO_OF_VIRTUAL_SERVERS = \
    _('Create one or more Virtual I/O ' +
      'Server partitions on the Power Systems server. ' +
      'See this topic for instructions: ' +
      'Creating the management virtual machine.')
VIOS_RMC_CONN_STATE_SUCCESS = _('The RMC connection on Virtual I/O ' +
                                'Server virtual machine {0} is {1}.')
VIOS_RMC_CONN_STATE_FAILED = _('The RMC connection on Virtual I/O ' +
                               'Server {0} is {1}.')
CA_VIOS_RMC_CONN_STATE = \
    _('Configure the RMC connection on ' +
      'the Virtual I/O Server so that it is in ' +
      'Active state. See Troubleshooting the RMC connection for details.')
HMC_VIOS_MINIMUM_LEVEL_SUCCESS = _('The version of Virtual' +
                                   ' I/O Server {0} is supported.')
HMC_VIOS_MINIMUM_LEVEL_FAILED = \
    _('The version of the Virtual' +
      ' I/O Server software that is installed on VIOS virtual machine {0}' +
      ' is an older version than what is supported.' +
      '  The installed version is {1} ' +
      'and the supported version is {2}.  ' +
      'Update your Virtual I/O Server' +
      ' software to the supported version.')
HMC_CONFIGURATION_EXCEPTION = \
    _('Validation failed While retrieving info ' +
      'about HMC. Refer ' +
      'to log for more details.')
POWERSERVER_NO_OF_VIRTUAL_SERVERS_QUERY_FAILED = \
    _('Unable to find the ' +
      'Virtual I/O Server virtual machine(s) of the host.')
VIOS_CURRENT_PROFILE_SYNC_SUCCESS = \
    _('The "Sync current configuration ' +
      'Capability" property on Virtual I/O Server virtual machine {0} is {1}.')
VIOS_CURRENT_PROFILE_SYNC_FAILED = \
    _('The "Sync current configuration ' +
      'Capability" property on Virtual I/O Server {0} is {1}.  It must be ' +
      '{2} for IBM PowerVC operations.')
CA_VIOS_CURRENT_PROFILE_SYNC = \
    _('It is recommended that user enable ' +
      '"Sync current configuration Capability" on the VIOS via HMC`s' +
      ' partition' +
      ' properties panel. If it is not On, PowerVC will enable ' +
      'it as part of deploy process.')


HMC_SEA_SUCCESS = _('The number of configured Shared Ethernet' +
                    ' Adapters (SEAs) in available state on the ' +
                    'system meets or exceeds the minimum requirement.')
HMC_VIOS_SEA_SUCCESS = \
    _('Virtual I/O Server {0} contains ' +
      'the following one or more configured Shared Ethernet Adapters' +
      ' (SEAs) in available state: {1}')

HMC_VIOS_SEA_WARNING = \
    _('The number of configured and available ' +
      'Shared Ethernet Adapters (SEAs) on the system meets or exceeds the' +
      ' required minimum of {1}, but other problems potentially exist.')
HMC_VIOS_SEA_AT_NOT_AVAILABLE_STATE = \
    _('Virtual I/O Server {0} ' +
      'contains the following one or more unavailable SEAs: {1}')
HMC_VIOS_SEA_UNABLE_TO_RETRIEVE = \
    _('PowerVC cannot retrieve ' +
      'details about SEAs for Virtual I/O Server {0}.')
HMC_VIOS_NO_SEA = _('Zero SEAs are configured for Virtual I/O Server {0}.')

HMC_VIOS_SEA_FAILURE_SEA_COUNT = \
    _('The number of ' +
      'configured Shared Ethernet Adapters (SEAs) in available' +
      ' state on the system fails to meet the minimum requirement.' +
      ' The system requires a minimum of {1} SEAs on at least ' +
      'one Virtual I/O Server, but it contains {0} SEAs.')

HMC_VIOS_ORPHANED_VEAS = \
    _('{2} : The following VLANs are configured on the host but ' +
      'not bridged:{0}. The following VLANs are configured and ' +
      'bridged: {1}.')

CA_HMC_VIOS_SEA = _('Configure and make at least one single SEA to ' +
                    'available state on at ' +
                    'least one Virtual I/O Server. ' +
                    'See "Configuring a Shared Ethernet Adapter" ' +
                    'for more information.')
HMC_VIOS_SEA_EXCEPTION = \
    _('An error occurred while ' +
      'looking for Shared Ethernet Adapters (SEAs) on the ' +
      'Virtual I/O Server.')

HMC_VIOS_MAX_VIRTUAL_SLOTS_SUCCESS = \
    _('The configured maximum number of ' +
      'virtual resources on Virtual I/O Server ' +
      '{0} is equal to or greater ' +
      'than the recommended number. ')
HMC_VIOS_MAX_VIRTUAL_SLOTS_FAILURE = \
    _('The configured maximum number of ' +
      'virtual resources on Virtual I/O Server ' +
      '{2} is less than the recommended number. The recommended number ' +
      'is {1} and the configured maximum value is set to {0}.')
HMC_CA_VIOS_MAX_VIRTUAL_SLOTS_FAILURE = \
    _('Set the recommended configured ' +
      'maximum number of virtual resources on the Virtual I/O Server.')

CLUSTER_SSP_CONFIGURE_SUCCESS = _('Successfully accessed the shared' +
                                  ' storage pool in cluster {0}.')
CLUSTER_SSP_CONFIGURE_FAIL = _('Could not access the shared storage' +
                               ' pool in cluster {0}.')
CA_CLUSTER_SSP_CONFIGURE = \
    _('The shared storage pool is not ' +
      'configured correctly.  ' +
      'Follow these steps to configure a shared storage pool.')
SSP_CREATE_LUNS_SUCCESS = _('The logical unit was ' +
                            'created successfully  in cluster {0}.')
SSP_CREATE_LUNS_FAIL = _('Unable to create the logical units in cluster {0}.')
CA_SSP_CREATE_LUNS = \
    _('Ensure that the Virtual IO Servers are ' +
      'running and have an active RMC connection with the HMC.')
SSP_CLONE_LUNS_SUCCESS = _('logical unit was cloned in cluster {0}.')
SSP_CLONE_LUNS_FAIL = _('Unable to clone the logical units in cluster {0}.')
CA_SSP_CLONE_LUNS = _('Ensure the shared storage pool cluster is ' +
                      'in a running state on the Virtual IO Servers.')
SSP_DELETE_LUNS_SUCCESS = _('The logical unit was successfully ' +
                            'deleted in cluster {0}.')
SSP_DELETE_LUNS_FAIL = _('Unable to delete the logical units in cluster {0}.')
CA_SSP_DELETE_LUNS = \
    _('Ensure that the shared storage pool is in' +
      ' a running state on the Virtual IO Servers.')
HMC_CLUSTERS_FAILED = _('Unable to connect to the HMC while' +
                        ' attempting to access the cluster. ' +
                        'Refer to "errlog" command  output on VIOS to' +
                        ' check for errors.')
CA_HMC_CLUSTERS = _('Ensure that the HMC is running and verify ' +
                    'that it is is configured for remote operations.')
VALIDATION_EXCEPTION = _("An exception occurred while" +
                         " performing validations." +
                         " Please check the log for more details.")
VIOS_FILESYSTEM_SIZE_SUCCESS = \
    _('The available space on file system ' +
      '"{1}" is {0}GB, which is equal to or greater than the {2}GB' +
      ' size that is required.')
VIOS_AVAILABLE_FILESYSTEM_SIZE_FAILED = \
    _('The available space on file' +
      ' system "{0}" is less than what is required. The available space on' +
      ' the file system is {1}GB and the required size is {2}GB.')
VIOS_TOTAL_FILESYSTEM_SIZE_FAILED = \
    _('The total space on file system' +
      ' "{0}" is less than what is required. The file system size is {1}GB' +
      ' and the required size is {2}GB.')
CA_VIOS_AVAILABLE_FILESYSTEM_SIZE_CHECK_EXPAND = \
    _('Ensure that there' +
      ' is at least {0}GB of space available on the file system.')
CA_VIOS_TOTAL_FILESYSTEM_SIZE_CHECK_EXPAND = \
    _('Configure the file' +
      ' system to ensure that the total space is at least {0}GB.')
VIOS_MEDIA_REPOSITORY_FREE_SPACE_SIZE_SUCCESS = \
    _('The available media ' +
      'repository free space is {0}MB, which is equal to or greater ' +
      'than the {1}MB size that is required.')
VIOS_MEDIA_REPOSITORY_FREE_SPACE_SIZE_FAILED = \
    _('The media repository free ' +
      'space is less than what is required. The free space is {0}MB' +
      ' and the required free space is {1}MB.')

CA_VIOS_AVAILABLE_MEDIA_REPOSITORY_FREE_SPACE_CHECK_EXPAND = \
    _('Ensure that there is at least {0}MB of free space available ' +
      'for media repository')

VIOS_FILESYSTEM_SIZE_CHECK_EXCEPTION = _('Unable to check the size' +
                                         ' of file system {0}.')
VIOS_MEDIA_REPOSITORY_FREE_SPACE_CHECK_EXCEPTION = \
    _('Unable to check the media repository free space. ' +
      'Check VIOS is active Or RMC in running state.')
FABRIC_FETCH_ERROR = _('Unable to retrieve all information about' +
                       ' the resource {0}.')
CA_FABRIC_FETCH_ERROR = _('Configure the resource {0} correctly.')

HOST_STORAGE_FC_ALL_CONNECTIVITY_FAILED = \
    _('There is no Fibre Channel' +
      ' path from host to any storage controllers ' +
      'because no Virtual I/O Server is configured.')
CA_HOST_STORAGE_FC_ALL_CONNECTIVITY = _('Configure at least one ' +
                                        'Virtual I/O Server on this ' +
                                        'host as per specification.')

HOST_HAS_STORAGE_CONNECTIVITY = _('The Virtual I/O Server {0} ' +
                                  'is connected to storage controller(s) {1}' +
                                  ' through Fibre Channel switch {2}.')
HOST_HAS_NO_STORAGE_CONNECTIVITY = \
    _('There is no Fibre Channel ' +
      'path from Virtual I/O Server {0} to any of ' +
      'storage controllers through Fibre Channel switch {1}.')
CA_HOST_HAS_NO_STORAGE_CONNECTIVITY = _('Connect Virtual I/O Server ' +
                                        '{0} to the same fabric as at ' +
                                        'least one storage controller.')
STORAGE_HAS_NO_FC_CONNECTIVITY = _('There is no Fibre Channel' +
                                   ' path from storage controller to ' +
                                   'Fibre Channel switch {0}')
CA_STORAGE_HAS_NO_FC_CONNECTIVITY = _('Connect Storage ' +
                                      'Controller to Fibre Channel switch.')
HOST_HAS_NO_SWITCH_CONNECTIVITY = \
    _('There is no Fibre ' +
      'Channel path from Virtual I/O Server {0} to switch {1}.')
CA_HOST_HAS_NO_SWITCH_CONNECTIVITY = \
    _('Connect Virtual I/O Server {0} to ' +
      'the same fabric as at least one storage controller.')
STORAGE_VALIDATION_FAIL = _('The storage connectivity cannot be validated.')
CA_STORAGE_VALIDATION_FAIL = _('Refer to the storage validation' +
                               ' messages for more information.')
FABRIC_VALIDATION_FAIL = _('The fabric connectivity cannot be validated.')
CA_FABRIC_VALIDATION_FAIL = _('Refer to the fabric validation' +
                              ' messages for more information.')

BROCADE_FABRIC_ZONING_MATCH = _('Zoning is enabled on the' +
                                ' fabric managed by this switch.')
BROCADE_FABRIC_ZONING_MISMATCH = _('Zoning is not enabled' +
                                   ' on the fabric managed by this switch.')
CA_BROCADE_FABRIC_ZONING_MISMATCH = \
    _('All fabrics managed by PowerVC' +
      ' must have zoning enabled.')

BROCADE_FABRIC_ROLE_MATCH = _('The switch is the principal switch ' +
                              'on the fabric.')
BROCADE_FABRIC_ROLE_MISMATCH = \
    _('The switch is not the' +
      ' principal switch on the fabric.  Its role is currently {0}.')
CA_BROCADE_FABRIC_ROLE_MISMATCH = \
    _('Register the principal' +
      ' switch for the fabric or reconfigure' +
      ' the switch so that it is the principal switch.')

BROCADE_FABRIC_FIRMWARE_MATCH = _('The switch`s firmware level is acceptable.')
BROCADE_FABRIC_FIRMWARE_MISMATCH = \
    _('The switch`s firmware level must be {1}' +
      ' or later. Its current firmware level is {0}.')
CA_BROCADE_FABRIC_FIRMWARE_MISMATCH = \
    _('Update the switch`s firmware level to {0} or later.')
BROCADE_FABRIC_FIRMWARE_FETCH_ERROR = \
    _('Unable to determine the level of the firmware installed on the switch.')
CA_BROCADE_FABRIC_FIRMWARE_FETCH_ERROR = _('Configure the fabric' +
                                           ' as per the specification.')

VIOS_ACTIVE_STATE_FAILED = _('The Virtual I/O Server {0} is in {1} state.' +
                             ' It must be running for IBM PowerVC operations.')
CA_VIOS_ACTIVE_STATE = _('Ensure the Virtual I/O Server must be running.')
HMC_VIOS_LEVEL_UNKNOWN_FAILED = \
    _('The version of the Virtual I/O' +
      ' Server software on VIOS virtual machine {0} is {1} ' +
      'and the required version' +
      ' is {2}.  Update your Virtual I/O Server software' +
      ' to the required version.')

FABRIC_NOT_REGISTERED = _('Storage is registered but fabric is' +
                          ' not registered. This may interrupt the NPIV ' +
                          'storage operations.')
CA_FABRIC_NOT_REGISTERED = _('For successful storage operations,' +
                             ' fabric must be registered unless zoning is ' +
                             'not enabled on the switches.')

RESOURCE_DNS_RESOLVABLE = _('Resource host name is resolvable on DNS.')

POWERKVM_MANAGEMENT_SERVER_REACHABLE_SUCCESS = \
    _('The PowerVC management server is reachable from the host.')
POWERKVM_MANAGEMENT_SERVER_REACHABLE_FAIL = \
    _('The PowerVC management ' +
      'server is not reachable from the host.')
CA_POWERKVM_MANAGEMENT_SERVER_REACHABLE_FAIL = \
    _('Verify the connectivity' +
      ' between management server and the host, then try again.')

POWERKVM_HOST_MINIMUM_CPU_CHECK_SUCCESS = \
    _('The host meets the' +
      ' minimum processor requirements.')
POWERKVM_MIN_CPU_CHECK_FAILURE = \
    _('The host does not meet the' +
      ' minimum processor requirements. It has {0} core processors,' +
      ' but {1} are required.')
CA_POWERKVM_MINIMUM_CPU_CHECK = _('Configure the processors on the host so ' +
                                  'they meet the requirements.')

POWERKVM_HOST_MIN_MEMORY_CHECK_SUCCESS = _('The host meets the minimum ' +
                                           'memory requirements.')
POWERKVM_HOST_MIN_MEMORY_CHECK_FAILURE = \
    _('The host does ' +
      'not meet the minimum memory requirements. The host has {0}' +
      ' GB of memory, but {1} GB are required.')
CA_POWERKVM_HOST_MIN_MEMORY_CHECK = _('The host requires ' +
                                      'at least {0} GB of memory available.')

POWERKVM_HOST_RELEASE_VERSION_SUCCESS = _('The host has ' +
                                          'required release version.')
POWERKVM_HOST_RELEASE_VERSION_FAIL = \
    _('The host does not have the correct release version.')
CA_POWERKVM_HOST_RELEASE_VERSION_FAIL = _('Update the host to IBM PowerKVM ' +
                                          'release version.')

POWERKVM_IPTABLE_SERVICE_STATUS_SUCCUESS = _('iptables service is' +
                                             ' "{0}" on the host.')
POWERKVM_IPTABLE_SERVICE_STATUS_FAIL = \
    _('iptables service ' +
      'is "{0}" on the host. The iptables service might be blocking' +
      ' the ports that' +
      ' are required for PowerVC operations.')
CA_POWERKVM_IPTABLE_SERVICE_STATUS_FAIL = \
    _('Verify that the required ports are not blocked ' +
      'by the iptables service.')

POWERKVM_HOST_LIBVIRT_SUCCESS = _(
    'The libvirtd service is running on the host.')
POWERKVM_HOST_LIBVIRT_FAIL = _('The libvirtd service ' +
                               'current status is {0}. ' +
                               'It must be {1} on the host.')
CA_POWERKVM_HOST_LIBVIRT_FAIL = \
    _('Start the libvirtd service on the host by running ' +
      'the "service libvirtd start" command.')

POWERKVM_LSHW_COMMAND_SUCCUESS = _('The lshw command is available on ' +
                                   'the host.')
POWERKVM_LSHW_COMMAND_FAIL = _('The lshw command is not available on ' +
                               'the host.')
CA_POWERKVM_LSHW_COMMAND_FAIL = _('Verify that the' +
                                  ' lshw command is available on the host.')

POWERKVM_HOST_KVM_DRIVER_SUCCESS = _('The KVM driver is available ' +
                                     'on the host.')
POWERKVM_HOST_KVM_DRIVER_FAIL = _('The KVM driver is not available ' +
                                  'on the host.')
CA_POWERKVM_HOST_KVM_DRIVER_FAIL = _('Verify that the KVM' +
                                     ' driver is installed on the host.')

POWERKVM_OPENSTACK_NUETRON_AGENT_SERVICE_STATUS_SUCCUESS = \
    _('OpenStack' +
      ' Service: neutron-openvswitch-agent ' +
      'service is "{0}" on the host.')
POWERKVM_OPENSTACK_NUETRON_AGENT_SERVICE_STATUS_FAIL = \
    _('OpenStack Service:' +
      ' neutron-openvswitch-agent ' +
      'service is "{0}" on the host. It must be in running state.')
CA_POWERKVM_OPENSTACK_NUETRON_AGENT_SERVICE_STATUS_FAIL = \
    _('Verify that ' +
      'the neutron-openvswitch-agent ' +
      'service is installed and running on the host.')

POWERKVM_MIN_VSWITCH_EXTERNAL_PORT_SUCCUESS = _('The host has' +
                                                ' at least one vswitch' +
                                                ' with an external port.')
POWERKVM_MIN_VSWITCH_EXTERNAL_PORT_FAIL = _('The host has no' +
                                            ' vswitch with an external port.')
CA_POWERKVM_MIN_VSWITCH_EXTERNAL_PORT_FAIL = \
    _('Configure the at' +
      ' least one vswitch with an external port' +
      ' on the host. so they meet requirements.')

KVM_OPENSTACK_NOVA_COMPUTE_STATUS = _('OpenStack Service: ' +
                                      'openstack-nova-compute ' +
                                      'service is "{0}" on the host.')
KVM_OPENSTACK_NOVA_COMPUTE_STATUS_ERROR = _('OpenStack Service:' +
                                            ' openstack-nova-compute ' +
                                            'service is "{0}" on the host. ' +
                                            'It must be in running state.')
CA_KVM_OPENSTACK_NOVA_COMPUTE_STATUS_ERROR = \
    _('Restart this' +
      ' service by running the ' +
      '"service openstack-nova-compute start" command.')

POWERKVM_OPENVSWITCH_SERVICE_STATUS_SUCCUESS = _('The Open vSwitch service' +
                                                 ' is available on the host.')
POWERKVM_OPENVSWITCH_SERVICE_STATUS_FAIL = _('The Open vSwitch service' +
                                             ' is not available on the host.')
CA_POWERKVM_OPENVSWITCH_SERVICE_STATUS_FAIL = \
    _('Verify that the Open' +
      ' vSwitch service is installed and running on the host.')

POWERKVM_MIN_VSWITCH_CONFIGURED_SUCCUESS = _('The host meets the minimum' +
                                             ' vSwitch requirements.')
POWERKVM_MIN_VSWITCH_CONFIGURED_FAIL = _('The host does not meet the minimum' +
                                         ' vSwitch requirements.')
CA_POWERKVM_MIN_VSWITCH_CONFIGURED_FAIL = \
    _('Configure at least one open' +
      ' vSwitch that has an external port on the host.' +
      ' This vSwitch will allow' +
      ' virtual machines to have external network connectivity.')

POWERKVM_HOST_EPH_PATH_ACCESSIBLE = _(
    'The storage directory is reachable.')
POWERKVM_HOST_EPH_PATH_NOT_ACCESSIBLE = _('The configured storage ' +
                                          'directory is not valid.')
CA_POWERKVM_HOST_EPH_PATH_NOT_ACCESSIBLE = \
    _('The storage directory ' +
      'cannot be reached. Verify the configuration for the storage directory.')
POWERKVM_HOST_EPH_PATH_VALID = _(' Read/write operations can be ' +
                                 'performed on the storage directory.')
POWERKVM_HOST_EPH_PATH_INVALID = _('Read/write operations cannot ' +
                                   'be performed on the storage directory.')
CA_POWERKVM_HOST_EPH_PATH_STATUS_INVALID = \
    _('Verify that the storage' +
      ' directory is writable and configured correctly.')

POWERKVM_DETAILS_RETRIEVE_FAILED = _('Unknown error occurred while ' +
                                     'retrieving the host details.')
CA_POWERKVM_DETAILS_RETRIEVE_FAILED =\
    _('Refer to /var/log/ttv-validation/validators/kvm_validator.log ' +
      'for more details.')

KVM_REQUIRED_TOTAL_DISK_SIZE_SUCCESS = \
    _('The total disk space on the' +
      ' host meets the minimum requirement.')
KVM_REQUIRED_TOTAL_DISK_SIZE_FAIL = \
    _('The total disk space on the' +
      ' host does not meet the minimum requirement. The required' +
      ' size is "{0}"GB' +
      ' but the actual size is "{1}"GB.')
CA_KVM_REQUIRED_TOTAL_DISK_SIZE_FAIL = \
    _('Ensure that the total disk' +
      ' space on the host has at least "{0}GB".')
KVM_REQUIRED_TOTAL_DISK_SIZE_EXCEPTION = _(
    'Unable to perform total disk size validation on the host.')
CA_KVM_REQUIRED_TOTAL_DISK_SIZE_EXCEPTION =\
    _('Refer to /var/log/ttv-validation/validators/kvm_validator.log ' +
      'for more details.')

KVM_PYTHON_VERSION_SUCCESS = _('The Python library version on' +
                               ' the host meets the minimum requirement.')
KVM_PYTHON_VERSION_FAIL = \
    _('The Python library version on the' +
      ' host does not meet the minimum requirement.' +
      ' The required version is "{0}" but the actual version is "{1}".')
CA_KVM_PYTHON_VERSION_FAIL = \
    _(' Ensure that the Python version meets the minimum requirement. ' +
      'The required version is "{0}" or above.')
KVM_PYTHON_VERSION_EXCEPTION = _('Unable to perform Python library ' +
                                 'version validation on the host.')
CA_KVM_PYTHON_VERSION_EXCEPTION = \
    _(' Refer to ' +
      '/var/log/ttv-validation/validators/kvm_validator.log ' +
      'for more details.')

KVM_REQUIRED_FIRMWARE_SUCCESS = _(
    'The host has the required firmware.')
KVM_REQUIRED_FIRMWARE_FAIL = _(
    'The host does not have the required firmware.')
CA_KVM_REQUIRED_FIRMWARE_FAIL = _(
    ' Update the host to firmware "OPAL".')

KVM_REQUIRED_PROC_TYPE_SUCCESS = \
    _(' The processor type of the' +
      ' Power Systems host matches the supported types.')
KVM_REQUIRED_PROC_TYPE_FAIL = \
    _('The processor type of the Power' +
      ' Systems host is not one of the supported processor' +
      ' types. The following' +
      ' processor types are supported: "{0}"')
CA_KVM_REQUIRED_PROC_TYPE_FAIL = \
    _('The processor type of the Power' +
      ' Systems host must be one of the following types: "{0}".')

MANAGEMENT_SERVER_IPTABLE_SERVICE_STATUS_SUCCUESS = \
    _('The iptables service' +
      ' is not running on the management server.')
CA_MANAGEMENT_SERVER_IPTABLE_SERVICE_STATUS_FAIL = \
    _('Verify that' +
      ' the required ports are not blocked by the iptables service.')

STORAGE_HAS_NO_ISCSI_IPS_DEFINED = \
    _('None of the nodes' +
      ' on storage device {0} have an IP address that is configured' +
      ' for iSCSI connectivity.')
CA_STORAGE_HAS_NO_ISCSI_IPS_DEFINED = \
    _('Configure the ' +
      'nodes on storage device {0} with an IP address for iSCSI connectivity.')
STORAGE_NODE_HAS_NO_ISCSI_IPS_DEFINED = \
    _('Node {1} on ' +
      ' storage device {0} does not have an IP address configured' +
      ' for iSCSI connectivity.')
CA_STORAGE_NODE_HAS_NO_ISCSI_IPS_DEFINED = \
    _('Configure node {1} on storage device {0} with an ' +
      'IP address for iSCSI connectivity.')
HOST_TO_STORAGENODE_ISCSI_CONNECTIVITY_SUCCESS = \
    _('The iSCSI connection ' +
      'between the host and node {1} on storage device {0} is ' +
      'working correctly.')
HOST_TO_STORAGENODE_ISCSI_CONNECTIVITY_FAIL = \
    _('The host cannot connect' +
      ' to node {1} on storage device {0} by using the iSCSI connection.')
CA_HOST_TO_STORAGENODE_ISCSI_CONNECTIVITY_FAIL = \
    _('Make sure that node' +
      ' {1} on storage device {0} has an IP address defined for iSCSI' +
      ' connectivity' +
      ' and verify that the  host can connect to that IP address.')
HOST_TO_STORAGENODE_ISCSI_CONNECTIVITY_ERROR = \
    _('An error occurred while verifying host-storage connectivity.')
CA_HOST_TO_STORAGENODE_ISCSI_CONNECTIVITY_ERROR = \
    _('Refer to these' +
      ' logs for details: ' +
      '/var/log/ttv-validation/validators/kvm_validator.log,' +
      '/var/log/ttv-validation/validators/svcstorage_validator.log.')
HOST_TO_ALL_STORAGENODE_ISCSI_CONNECTIVITY_SUCCESS = \
    _('The host can connect to iSCSI IP addresses on all nodes attached' +
      ' to storage device {0}.')
HOST_TO_ALL_STORAGENODE_ISCSI_CONNECTIVITY_FAIL = \
    _('The host cannot' +
      ' connect to an iSCSI IP addresses on any nodes attached to ' +
      'storage device {0}.')
CA_HOST_TO_ALL_STORAGENODE_ISCSI_CONNECTIVITY_FAIL = \
    _('Ensure that' +
      ' the host can connect to an iSCSI IP address on all nodes' +
      ' attached to storage device {0}.')

KVM_REQUIRED_LPM_CERTIFICATES_FOUND = \
    _('The host has the certificates that are required for live migration.')
KVM_REQUIRED_LPM_CERTIFICATES_NOT_FOUND = \
    _('The host does' +
      ' not have the certificates that are required for live migration.')
CA_KVM_REQUIRED_LPM_CERTIFICATES_NOT_FOUND = \
    _(' Register ' +
      'the host again by removing the host and adding the host to PowerVC.')

KVM_REQUIRED_LPM_NOVA_CONFIG_FOUND = \
    _('The /etc/nova/nova.conf' +
      ' file on the host is configured correctly for live migration.')
KVM_REQUIRED_LPM_NOVA_CONFIG_NOT_FOUND = \
    _('The /etc/nova/nova.conf ' +
      'file on the host is not configured correctly for live migration.')
CA_KVM_REQUIRED_LPM_NOVA_CONFIG_NOT_FOUND = \
    _('Register the host again' +
      ' by removing the host and adding the host to PowerVC. ')

KVM_REQUIRED_LPM_LIBVIRT_CONFIG_FOUND = \
    _('The /etc/sysconfig/libvirtd' +
      ' file on the host is configured correctly for live migration.')
KVM_REQUIRED_LPM_LIBVIRT_CONFIG_NOT_FOUND = \
    _('The /etc/sysconfig/libvirtd' +
      ' file on the host is not configured correctly for live migration.')
CA_KVM_REQUIRED_LPM_LIBVIRT_CONFIG_NOT_FOUND = \
    _(' Register the host again' +
      ' by removing the host and adding the host to PowerVC.')

KVM_REQUIRED_LPM_FIREWALL_CONFIG_FOUND = \
    _('The host has the required' +
      ' firewall configuration for live migration.')
KVM_REQUIRED_LPM_FIREWALL_CONFIG_NOT_FOUND = \
    _('The host does not have' +
      ' the required libvirt-tls port 16514 open for live migration.')
CA_KVM_REQUIRED_LPM_FIREWALL_CONFIG_NOT_FOUND = \
    _(' No action is required.' +
      ' The libvirt-tls port 16514 will be opened when live migration occurs.')

POWERKVM_HOST_USE_NFS_FLAG_NOT_SET = _('The SELinux flag ' +
                                       'virt_use_nfs is not set to "On".')
CA_POWERKVM_HOST_USE_NFS_FLAG_NOT_SET = \
    _('Set the SELinux ' +
      'flag virt_use_nfs on the PowerKVM host to "On".')

KVM_HOSTNAME_CHECK_FAIL = _('The name of the host is "localhost".')
CA_KVM_HOSTNAME_CHECK_FAIL = \
    _('The host must have a unique ' +
      'FQDN(Fully Qualified Domain Name). ' +
      'Set a valid host name and try again.')

POWERKVM_ISCSI_SERVICE_STATUS_SUCCUESS = \
    _('iscsi service is "{0}" on the host.')
POWERKVM_ISCSI_SERVICE_STATUS_FAIL = \
    _('iscsi service is "{0}" ' +
      'on the host. It must be in running state.')
CA_POWERKVM_ISCSI_SERVICE_STATUS_FAIL = \
    _('Verify that the iscsi ' +
      'service is installed and running on the host.')

POWERVC_SERVER_DUPLICATE_HOST_NAMES = \
    _('Host name {0} was used multiple times.')
CA_POWERVC_SERVER_DUPLICATE_HOST_NAMES = \
    _('Two or more hypervisor ' +
      'host names are the same. Assign unique hostnames to all ' +
      'the servers managed' +
      ' by PowerVC.')

CISCO_ZONING_ROLE_SUCCESS = \
    _('The user has the privileges necessary ' +
      'to create and delete zones on the switch.')
CISCO_ZONING_ROLE_FAIL = \
    _('The user does not have the privileges to ' +
      'create and delete zones on the switch.')
CA_CISCO_ZONING_ROLE_FAIL = \
    _('Add the user to a role which has ' +
      'privileges to create and delete zones on the switch.')

CISCO_FIRMWARE_SUCCESS = _('The switch has the required firmware.')
CISCO_FIRMWARE_FAIL = _('The switch does not have the required firmware.')
CA_CISCO_FIRMWARE_FAIL = \
    _('Update the switch to firmware version {0} or later')

CISCO_TOTAL_ZONING_MEMORY_SUCCESS = _('The total zoning ' +
                                      'memory space is as per the limit.')
CISCO_TOTAL_ZONING_MEMORY_FAIL = _('The total zoning' +
                                   ' memory space is not as per the limit.')
CA_CISCO_TOTAL_ZONING_MEMORY_FAIL = \
    _('Use the show ' +
      'zone analysis active vsan <vsan-id> command to analyze ' +
      'the active zone set database. Verify that the ' +
      'formatted size does not exceed given limit.  If the limit is' +
      ' exceeded, then' +
      ' some zones or devices within a zone must be removed.')

CISCO_DETAILS_RETRIEVE_FAILED = _('Unknown error occurred while retrieving ' +
                                  'the Cisco switch details.')
CA_CISCO_DETAILS_RETRIEVE_FAILED = \
    _('Refer to /var/log/ttv-validation/validators/cisco_fabric_validator.log'
      'for more details.')

XIV_DETAILS_RETRIEVE_FAILED = _('Unknown error occurred while retrieving the' +
                                ' XIV storage resource details.')
CA_XIV_DETAILS_RETRIEVE_FAILED = \
    _('Refer to /var/log/ttv-validation/validators/xivstorage_validator.log ' +
      'for more details.')

VIOS_DETAILS_RETRIEVE_FAILED = _('Unknown error occurred while ' +
                                 'retrieving the VIOS details.')
CA_VIOS_DETAILS_RETRIEVE_FAILED = \
    _('Refer to /var/log/ttv-validation/validators/vios_validator.log ' +
      'for more details.')

XIV_FIRMWARE_SUCCESS = _('The XIV storage system has required firmware.')
XIV_FIRMWARE_FAIL = _('The XIV storage system does not have ' +
                      'required firmware.')
CA_XIV_FIRMWARE_FAIL = _('Upgrade the storage system to version {0} or later.')

XIV_MODEL_SUCCESS = _('The XIV storage system is a supported model.')
XIV_MODEL_FAIL = _('The XIV storage system is not a supported model.')
CA_XIV_MODEL_FAIL = _('Try again with a XIV storage system that is one' +
                      ' of the supported models. ' +
                      'The supported models are: {0}.')

XIV_HOST_EXHAUSTION_SUCCESS = \
    _('The number of hosts on XIV storage ' +
      'system is in the acceptable range. The maximum number of hosts is {0}' +
      ' and the current number is {1}.')
XIV_HOST_EXHAUSTION_FAIL = \
    _('There are too many hosts on XIV storage system.' +
      ' The maximum number of hosts is {0} and the current number is {1}.')
CA_XIV_HOST_EXHAUSTION_FAIL = _('Remove some hosts and try again. ')

# DS8K
DS8K_DETAILS_RETRIEVE_FAILED = _('Unknown error occurred while ' +
                                 ' retrieving the DS8K' +
                                 ' storage resource details.')
CA_DS8K_DETAILS_RETRIEVE_FAILED = \
    _('Refer to ' +
      '/var/log/ttv-validation/validators/ds8kstorage_validator.log ' +
      'for more details.')
DS8K_FIRMWARE_SUCCESS = _('The DS8K storage system has required firmware.')
DS8K_FIRMWARE_FAIL = _('The DS8K storage system does not have ' +
                       'required firmware.')
CA_DS8K_FIRMWARE_FAIL = _('Upgrade the storage system ' +
                          'to version {0} or later.')

DS8K_MODEL_SUCCESS = _('The DS8K storage system is a supported model.')
DS8K_MODEL_FAIL = _('The DS8K storage system is not a supported model.')
CA_DS8K_MODEL_FAIL = _('Try again on DS8K storage system of ' +
                       'supported models. ' +
                       'The supported models are: {0}.')
DS8K_MCTYPE_SUCCESS = _('The DS8K storage system is a supported machine type.')
DS8K_MCTYPE_FAIL = _('The DS8K storage system is not a ' +
                     'supported machine type.')
CA_DS8K_MCTYPE_FAIL = _('Try again on DS8K storage system of ' +
                        'supported machine type. ' +
                        'The supported machine type(s) are: {0}.')

VIOS_SCG_CONNECTIVITY_NOT_ZONED = \
    _('This Virtual I/O Server' +
      ' is a member of these storage connectivity groups: [{3}]. ' +
      'The ports associated with these WWPNs on this Virtual I/O Server' +
      ' are not zoned to {1} storage device {2}: [{4}]')
CA_VIOS_SCG_CONNECTIVITY_NOT_ZONED = \
    _('Create zones with ' +
      'the storage in the SAN fabric for the listed WWPNs.')

VIOS_SCG_CONNECTIVITY_ZONED_NO_HOST_OBJECT = \
    _('This Virtual I/O Server' +
      ' is a member of these storage connectivity groups: [{3}]. ' +
      'The ports associated with these WWPNs on' +
      ' this Virtual I/O Server are zoned to {1} storage device {2}' +
      ' but no host object exists: [{4}]')
CA_VIOS_SCG_CONNECTIVITY_ZONED_NO_HOST_OBJECT = \
    _('Create host objects' +
      ' for the storage for the listed WWPNs.')

VIOS_SCG_CONNECTIVITY_NONE_ZONED = \
    _('This Virtual I/O Server is a' +
      ' member of these storage connectivity groups:' +
      ' [{3}]. None of the ports associated with the Virtual I/O Server are ' +
      'zoned or have host objects with {1} storage device {2}')
CA_VIOS_SCG_CONNECTIVITY_NONE_ZONED = \
    _('Create storage zones in the SAN' +
      ' fabric and storage host objects for the associated' +
      ' Virtual I/O Server WWPNs.')

VIOS_SCG_CONNECTIVITY_ALL_ZONED = \
    _('This Virtual I/O Server is a' +
      ' member of these storage connectivity groups: [{3}].' +
      ' All ports associtated' +
      ' with the Virtual I/O Server' +
      ' are zoned and have' +
      ' host objects with {1} storage device {2}.')
VIOS_SCG_CONNECTIVITY_SOME_ZONED = _('This Virtual I/O' +
                                     ' Server is a member of these storage' +
                                     ' connectivity groups: [{3}]. The ports' +
                                     ' associated with these WWPNs' +
                                     ' are zoned and have' +
                                     ' host objects with {1} storage' +
                                     ' device {2}: [{4}]')

VIOS_SCG_CONNECTIVITY_ALL_ZONED_NO_HOST_OBJECT = \
    _('This Virtual I/O' +
      ' Server is a member of these storage connectivity groups: [{3}]. ' +
      'All ports associated with this Virtual I/O Server are zoned but no ' +
      'host objects created with {1} storage device {2}.')
CA_VIOS_SCG_CONNECTIVITY_ALL_ZONED_NO_HOST_OBJECT = \
    _(' Create host objects ' +
      'with the storage for all ports associated with the Virtual I/O Server.')
SCG_CONNECTIVITY_DETAILS_RETRIEVE_FAILED = \
    _(' Could not verify the storage connectivity group ' +
      'Virtual I/O Server storage connectivity.')
CA_SCG_CONNECTIVITY_DETAILS_RETRIEVE_FAILED = \
    _('Refer to /var/log/ttv-validation/validators/scg_validation.log ' +
      'for details.')


VIOS_SCG_NPIV_CONNECTIVITY_NOTCONNECTED = \
    _('This Virtual' +
      ' I/O Server is a member of these storage connectivity groups: [{3}].' +
      ' There is no Fibre Channel path ' +
      'from this Virtual I/O Server to storage' +
      ' controllers {1} through Fibre Channel switch(es) [{2}] ' +
      'mapped in the "Fibre Channel Port Configuration".')
CA_VIOS_SCG_NPIV_CONNECTIVITY_NOTCONNECTED = \
    _('Make sure' +
      ' that the Virtual I/O Server is connected to fabrics as per ' +
      '"Fibre Channel Port Configuration"')
VIOS_SCG_NPIV_CONNECTIVITY_CONNECTED = \
    _('This Virtual I/O' +
      ' Server is a member of these storage connectivity groups: [{3}].' +
      ' There is a Fibre Channel' +
      ' path from this Virtual I/O Server to' +
      ' storage controllers {1} through' +
      ' Fibre Channel switch(es) [{2}] mapped' +
      ' in the "Fibre Channel Port Configuration".')
VIOS_SCG_NPIV_CONNECTIVITY_NONECONNECTED = \
    _('This Virtual ' +
      'I/O Server is a member of these storage connectivity groups: [{0}].' +
      ' There is no Fibre Channel path' +
      ' from this Virtual I/O Server to' +
      ' any of storage controllers through' +
      ' any of Fibre Channel switches mapped ' +
      'in the "Fibre Channel Port Configuration".')
CA_VIOS_SCG_NPIV_CONNECTIVITY_NONECONNECTED = \
    _('Make sure ' +
      'that the Virtual I/O Server is connected to fabrics as per "Fibre' +
      ' Channel Port Configuration".')

POWERKVM_OPENVSWITCH_SWITCH_NAMES_FAIL = _('These virtual' +
                                           ' switch names are invalid: {0}.')
CA_POWERKVM_OPENVSWITCH_SWITCH_NAMES_FAIL = \
    _('Virtual ' +
      'switch names can contain alphanumeric characters, hyphens ( - ), ' +
      'and underscores (  _  ).')

VIOS_SCG_NPIV_CONNECTIVITY_NOTCONFIGURED = \
    _('This Virtual' +
      ' I/O Server is a member of these storage connectivity groups: [{0}].' +
      ' Unable to verify the Fibre Channel' +
      ' path from this Virtual I/O sever to any of the storage controllers.')
CA_VIOS_SCG_NPIV_CONNECTIVITY_NOTCONFIGURED = \
    _('Check the' +
      ' "Fibre Channel Port Configuration" and activate rmc state for this' +
      ' Virtual I/O server and try again. ')

VIOS_SCG_VSCSI_CONNECTIVITY_NOTCONFIGURED = \
    _('This Virtual' +
      ' I/O Server is a member of these storage connectivity groups: [{0}].' +
      ' Unable to verify the Fibre Channel zoning between this Virtual I/O' +
      ' sever to any of the storage controllers.')
CA_VIOS_SCG_VSCSI_CONNECTIVITY_NOTCONFIGURED = \
    _('Check the ' +
      '"Fibre Channel Port Configuration" and activate rmc state for this ' +
      'Virtual I/O server and try again.')

EMCVNX_FIRMWARE_SUCCESS = \
    _('The EMC VNX storage system has required firmware.')
EMCVNX_FIRMWARE_FAIL = _('The EMC VNX storage system does' +
                         ' not have required firmware.')
CA_EMCVNX_FIRMWARE_FAIL = _('Upgrade the storage system' +
                            ' to version {0} or later.')
EMCVNX_FIRMWARE_ERROR = _('Unable to perform firmware' +
                          ' validation for EMC VNX storage system.')
CA_EMCVNX_FIRMWARE_ERROR = \
    _('Refer to /var/log/ttv-validation/validators/emc_vnx_validator.log ' +
      'for more details.')

EMCVNX_DETAILS_RETRIEVE_FAILED = _('Unknown error occurred while retrieving ' +
                                   'the EMC VNX storage resource details.')
CA_EMCVNX_DETAILS_RETRIEVE_FAILED = \
    _('Refer to ' +
      '/var/log/ttv-validation/validators/emc_vnx_validator.log ' +
      'for more details.')

EMCVMAX_DETAILS_RETRIEVE_FAILED = _('Unknown error occurred while retrieving' +
                                    ' the EMC VMAX storage resource details.')
CA_EMCVMAX_DETAILS_RETRIEVE_FAILED = \
    _('Refer to ' +
      '/var/log/ttv-validation/validators/emc_vmax.log for ' +
      'more details.')

EMCVMAX_FIRMWARE_SUCCESS = _('The EMC VMAX storage system has required ' +
                             'firmware.')
EMCVMAX_FIRMWARE_FAIL = _('The EMC VMAX storage ' +
                          'system does not have required firmware.')
CA_EMCVMAX_FIRMWARE_FAIL = _('Upgrade the storage ' +
                             'system to version {0} or later.')
EMCVMAX_FIRMWARE_ERROR = _('Unable to perform firmware validation ' +
                           'for EMC VMAX storage system.')
CA_EMCVMAX_FIRMWARE_ERROR = \
    _('Refer to ' +
      '/var/log/ttv-validation/validators/emc_vmax.log ' +
      'for more details.')


EMCVMAX_LICENSE_SUCCESS = _('The EMC VMAX storage system has valid license.')
EMCVMAX_LICENSEL_FAIL = _('The EMC VMAX storage system has invalid license.')
CA_EMCVMAX_LICENSE_FAIL = _('Please correct the license information.')
EMCVMAX_LICENSE_ERROR = \
    _('Unable to perform licenses availability ' +
      'validation for EMC VMAX storage system.')
CA_EMCVMAX_LICENSE_ERROR = \
    _('Refer to /var/log/ttv-validation/validators/emc_vmax.log for ' +
      'more details.')

EMCVMAX_SYMMETRIC_ARRAY_MODEL_SUCCESS = _('The EMC VMAX storage system' +
                                          ' has valid symmetric array model.')
EMCVMAX_SYMMETRIC_ARRAY_MODEL_FAIL = _('The EMC VMAX storage system has' +
                                       ' invalid symmetric array model {0}.')
CA_EMCVMAX_SYMMETRIC_ARRAY_MODEL_FAIL = \
    _('The EMC VMAX storage system' +
      ' should have symmetric array model with {0} pattern.')
EMCVMAX_SYMMETRIC_ARRAY_MODEL_ERROR = \
    _('Unable to perform array model validation for EMC VMAX storage system.')
CA_EMCVMAX_SYMMETRIC_ARRAY_MODEL_ERROR = \
    _('Refer to /var/log/ttv-validation/validators/emc_vmax.log ' +
      'for more details.')


EMCVNX_LICENSE_ERROR = \
    _('Unable to perform licenses validation for EMC VNX storage system.')
CA_EMCVNX_LICENSE_ERROR = \
    _('Refer to /var/log/ttv-validation/validators/emc_vnx_validator.log' +
      ' for more details.')

EMCVNX_CLONING_SNAPSHOT_ATTACH_LICENSE_AVAILABLE = \
    _('The EMC VNX storage has the required license for cloning, ' +
      'snapshot and volume attachment.')
EMCVNX_CLONING_SNAPSHOT_ATTACH_LICENSE_NOT_AVAILABLE = \
    _('The EMC VNX storage does not have the required license for cloning, ' +
      'snapshot and volume attachment.')
CA_EMCVNX_CLONING_SNAPSHOT_ATTACH_LICENSE_NOT_AVAILABLE = \
    _('Ensure that the EMC VNX storage has required license installed.')

EMCVNX_FAST_LICENSE_AVAILABLE = \
    _('The EMC VNX storage has the ' +
      'required license for Fully Automated Storage Tiering (FAST).')
EMCVNX_FAST_LICENSE_NOT_AVAILABLE = \
    _('The EMC VNX storage does not have the required license for for Fully ' +
      'Automated Storage Tiering (FAST).')
CA_EMCVNX_FAST_LICENSE_NOT_AVAILABLE = \
    _('Ensure that the EMC VNX storage has the required license installed.')

EMCVNX_COMPRESSION_LICENSE_AVAILABLE = \
    _('The EMC VNX storage has the required license for volume compression.')
EMCVNX_COMPRESSION_LICENSE_NOT_AVAILABLE = \
    _('The EMC VNX storage does not have required license for ' +
      'volume compression.')
CA_EMCVNX_COMPRESSION_LICENSE_NOT_AVAILABLE = \
    _('Ensure that the EMC VNX storage has the required license installed.')

EMCVNX_DEDUPLICATION_LICENSE_AVAILABLE = \
    _('The EMC VNX storage has the required license for deduplication.')
EMCVNX_DEDUPLICATION_LICENSE_NOT_AVAILABLE = \
    _('The EMC VNX storage does not have the required license ' +
      'for deduplication.')
CA_EMCVNX_DEDUPLICATION_LICENSE_NOT_AVAILABLE = \
    _('Ensure that the EMC VNX storage has the required license installed.')

EMCVNX_FAST_CACHE_LICENSE_AVAILABLE = \
    _('The EMC VNX storage has the required license for Fully Automated ' +
      'Storage Tiering (FAST) Cache.')
EMCVNX_FAST_CACHE_LICENSE_NOT_AVAILABLE = \
    _('The EMC VNX storage does not have the required license for Fully ' +
      'Automated Storage Tiering (FAST) Cache.')
CA_EMCVNX_FAST_CACHE_LICENSE_NOT_AVAILABLE = \
    _('Ensure that the EMC VNX storage has the required license installed.')

EMCVNX_THINPROVISIONING_LICENSE_AVAILABLE = \
    _('The EMC VNX storage has the required license for thin provisioning.')
EMCVNX_THINPROVISIONING_LICENSE_NOT_AVAILABLE = \
    _('The EMC VNX storage does not have the required license' +
      ' for thin provisioning.')
CA_EMCVNX_THINPROVISIONING_LICENSE_NOT_AVAILABLE = \
    _('Ensure that the EMC VNX storage has the required license installed.')

EMCVNX_NAVSECCLIPATH_FAIL = _('The EMC VNX storage does' +
                              ' not have NaviSecCLI package installed.')
EMCVNX_NAVSECCLIPATH_SUCCESS = _('The EMC VNX storage ' +
                                 'has NaviSecCLI package installed.')
CA_EMCVNX_NAVSECCLIPATH_FAIL = _('Make sure the NaviSecCLI' +
                                 ' package is installed and available.')
EMCVNX_NAVSECCLIPATH_ERROR = _('Unable to perform NaviSecCLI package ' +
                               'availability validation for EMC VNX ' +
                               'storage system.')
CA_EMCVNX_NAVSECCLIPATH_ERROR = \
    _('Refer to /var/log/ttv-validation/validators/emc_vnx_validator.log ' +
      'for more details.')
BROCADE_FABRIC_VALIDATIONS = _("Brocade Fabric validations")
XIV_STORAGE_VALIDATIONS = _("XIV Storage validations")
DS8K_STORAGE_VALIDATIONS = _("DS8K Storage validations")
SVC_STORAGE_VALIDATIONS = _("SVC Storage validations")
HMC_VERSION_VALIDATIONS = _("HMC Version Validations")
HMC_MANAGED_HOST_VALIDATIONS = _("HMC Managed Host validations")
SSP_VALIDATIONS = _("Shared Storage Pool Validations")
VIOS_CONNECTIVITY_VALIDATOR = _("VIOS VSCSI and NPIV connectivity validations")
EMC_VNX_VALIDATIONS = _("EMC VNX Storage Validations")
CISCO_FABRIC_VALIDATIONS = _("Cisco Fabric validations")
EMC_VMAX_VALIDATIONS = _("EMC VMAX validations")
MANAGEMENT_SERVER_RESOURCES_VALIDATIONS = \
    _("Management Server Resources validations")
MANAGEMENT_SERVER_SERVICES_VALIDATIONS = \
    _("Management Server Services validations")
KVM_VALIDATIONS = _("KVM validations")
VIOS_VALIDATIONS = _("VIOS validations")
COLLOCATION_POLICIES_VALIDATIONS = _("Collocation Policies Validations")

NETWORK_QUALITY_BAD = _(
    "We can not ping the device, but is likely due to a firewall.")
NETWORK_QUALITY_GOOD = _(
    "The network quality between the PowerVC {0} and the device {1} are " +
    "acceptable.")
NETWORK_QUALITY_DEGRADED = _(
    "The quality of the network between the PowerVC {0} and the device {1} " +
    "appears " +
    "to be degraded. Please investigate as this will cause performance and " +
    "stability issues within PowerVC.")
POWERVC_VALIDATE_HELP_DESC_MSG =\
    _('Command line interface to validate environment '
      'and get status of environment.')
POWERVC_VALIDATE_HELP_START_MSG = _('Start a validation run')
POWERVC_VALIDATE_HELP_STATUS_MSG =\
    _('Get the status from past and any current validation runs')
POWERVC_VALIDATE_HELP_JSON_MSG = _('emit JSON rather than text')
POWERVC_VALIDATE_HELP_VERSION_MSG = _('API version format for JSON output')
POWERVC_VALIDATE_HELP_LANG_MSG =\
    _('Locale for messages. Defaults to system locale')
POWERVC_VALIDATE_HELP_USER_MSG = _('User name to get token.')
POWERVC_VALIDATE_USER_WARNING_MESSAGE = _(
    " No user information provided for " +
    "running environment verification. " +
    "Continuing with default user credentials. This feature will be " +
    "deprecated in future releases of PowerVC. Please provide user details " +
    "using '--user' argument to powervc-validate command.")
POWERVC_VALIDATE_NOT_EXECUTED_MESSAGE = _(
    " No data for prior validation runs available. It is possible that " +
    "Verify Environment was never executed.")
POWERVC_VALIDATE_NOT_COMPLETED = _(
    " The Validation did not complete successfully")
POWERVC_VALIDATE_USER_NOT_AUTHORIZED_403 = _(
    "User is not authorized to perform this operation.")
COLLOCATION_POLICIES_VIOLATED = _("{0} type collocation policy: " +
                                  "{1} has been violated.")
COLLOCATION_POLICIES_NOT_VIOLATED = _("{0} type collocation policy" +
                                      ": {1} has not been violated.")
NOVA_LINK_HOST_VALIDATIONS = _("Nova Link Host validations")
NOVA_LINK_COMPUTE_VALIDATIONS = _("Nova Link Compute validations")
NOVA_LINK_NETWORK_VALIDATIONS = _("Nova Link Network validations")
NOVALINK_PARTITION_MINIMUM_PROCESSOR_CHECK_SUCCESS = \
    _('The Nova link partition meets the' +
      ' minimum virtual processors requirements.')
NOVALINK_PARTITION_MINIMUM_PROCESSOR_CHECK_FAILURE = \
    _('The Nova link partition does not meet the' +
      ' minimum virtual processor requirements. It has {0} core processors,' +
      ' but {1} are required.')
CA_NOVALINK_PARTITION_MINIMUM_PROCESSOR_CHECK_FAILURE =\
    _('Configure the processors on the nova link partition so ' +
      'they meet the requirements.')
NOVALINK_PARTITION_MINIMUM_PROC_UNIT_CHECK_SUCCESS = \
    _('The Nova link partition meets the' +
      ' minimum processor units requirements.')
NOVALINK_PARTITION_MINIMUM_PROC_UNIT_CHECK_FAILURE = \
    _('The Nova link partition does not meet the' +
      ' minimum processor units requirements. It has {0} proc units,' +
      ' but {1} are required.')
CA_NOVALINK_PARTITION_MINIMUM_PROC_UNIT_CHECK_FAILURE =\
    _('Configure the proc units on the nova link partition so ' +
      'they meet the requirements.')
NOVALINK_PARTITION_MIN_MEMORY_CHECK_SUCCESS =\
    _('The Nova link partition meets the minimum memory requirements.')
NOVALINK_PARTITION_MIN_MEMORY_CHECK_FAILURE =\
    _('The Nova link partition does ' +
      'not meet the minimum memory requirements. It has {0}' +
      ' MB of memory, but {1} MB are required.')
CA_NOVALINK_PARTITION_MIN_MEMORY_CHECK_FAILURE =\
    _('The Nova link partition requires at least {0} MB of memory available.')
NOVALINK_PARTITION_CONFIGURATION_ERROR = \
    _('Validation failed While retrieving info about Novalink Partition '
      '{0} details.')
NOVALINK_PARTITION_ATTRIBUTE_FETCH_ERROR = \
    _('Validation failed While retrieving info about {0}.')
NOVALINK_SERVICE_STATUS_PASS = \
    _('Service: {0} is {1} on the novalink host.')
NOVALINK_SERVICE_STATUS_FAIL =\
    _('Service: {0} is {1} on the novalink host.' +
      'It must be in running state.')
CA_NOVALINK_SERVICE_STATUS_FAIL =\
    _('Verify that {0} service is installed and running on the novalink host.')
NOVALINK_SERVICE_STATUS_EXCEPTION = \
    _('Unable to determine the status of service {0} on novalink host.')
NOVALINK_PACKAGE_STATUS_PASS = \
    _('Package: {0} is installed on the novalink host.')
NOVALINK_PACKAGE_STATUS_FAIL =\
    _('Package: {0} is not installed on the novalink host.')
CA_NOVALINK_PACKAGE_STATUS_FAIL =\
    _('Install the package {0} on the novalink host.')
NOVALINK_PACKAGE_STATUS_EXCEPTION = \
    _('Unable to determine the status of package {0} on the novalink host.')
NOVALINK_USER_PERMISSION_SUCCESS =\
    _('NovaLink user {0} has the required authority to run commands '
      'on host {1}.')
NOVALINK_USER_PERMISSION_FAILURE =\
    _('NovaLink user {0} does not have the required authority to run '
      'commands on host {1}.')
CA_NOVALINK_USER_PERMISSION_FAILURE =\
    _('NovaLink user should be a member of the user group pvm_admin.')
NOVALINK_USER_PERMISSION_EXCEPTION = \
    _('Unable to determine novalink user: {0} uid and group name information.')
NOVALINK_VIOS_STATE_SUCCESS = _('Virtual I/O Server: {0} is in {1} state.')
NOVALINK_VIOS_STATE_FAILURE = _('Virtual I/O Server: {0} is in {1} state. ' +
                                'It should be in {2} state.')
CA_NOVALINK_VIOS_STATE_FAILURE = _('Configure Virtual I/O Server: {0} so ' +
                                   'that it is in {1} state.')
NOVALINK_VIOS_RMC_STATE_SUCCESS =\
    _('The RMC connection on Virtual I/O Server: {0} is {1}. ')
NOVALINK_VIOS_RMC_STATE_FAILURE =\
    _('The RMC connection on Virtual I/O Server: {0} is {1}. ' +
      'It should be {2}')
CA_NOVALINK_VIOS_RMC_STATE_FAILURE =\
    _('Configure the RMC connection on the Virtual I/O Server: {0} so that ' +
      'it comes in {1} state. See Troubleshooting the RMC connection ' +
      'for details.')
NOVALINK_VIOS_STATE_EXCEPTION =\
    _('Exception occured while checking rmc state of vios. ' +
      'Please check the logs for more details.')
NOVALINK_PARTITION_SEA_EXISTENCE_CHECK_SUCCESS =\
    _('Shared Ethernet Adapter(s) exist on the novalink host.')
CA_NOVALINK_PARTITION_SEA_EXISTENCE_CHECK_FAILURE =\
    _('Configure atleast one Shared Ethernet Adapter on the novalink host.')
NOVALINK_PARTITION_SEA_EXISTENCE_CHECK_FAILURE =\
    _('No Shared Ethernet Adapter exists on the novalink host. ' +
      'Atleast one Shared Ethernet Adapter must exist.')
NOVALINK_PARTITION_MGMT_SWITCH_CHECK_SUCCESS =\
    _('MGMTSWITCH exists on the novalink host.')
CA_NOVALINK_PARTITION_MGMT_SWITCH_CHECK_FAILURE =\
    _('Configure MGMTSWITCH on the novalink host.')
NOVALINK_PARTITION_MGMT_SWITCH_CHECK_FAILURE =\
    _('No MGMTSWITCH exists on the novalink host. ' +
      'It must exist on the novalink host.')
CINDER_THREAD_POOL_SIZE_CHECK_SUCCESS =\
    _('All cinder executor_thread_pool_size property values are greater ' +
      'than or equal to all nova executor_thread_pool_size property values.')
CA_CINDER_THREAD_POOL_SIZE_CHECK_FAILURE =\
    _('Configure the executor_thread_pool_size property in all ' +
      'cinder-<provider>.conf files to be greater than or equal to those in ' +
      'all nova-<host>.conf files.')
CINDER_THREAD_POOL_SIZE_CHECK_FAILURE =\
    _('At least one nova configuration file has property: ' +
      'executor_thread_pool_size whos value is greater than that of the ' +
      'same property in at least one cinder configuration file.')
CINDER_THREAD_POOL_UNCHANGED =\
    _('All cinder and nova configuration property values for ' +
      'executor_thread_pool_size are set to their default values.')
CINDER_THREAD_POOL_CHANGED =\
    _('At least one cinder or nova configuration file property value for ' +
      'executor_thread_pool_size has been changed from its default value. ' +
      'Default cinder value = 256. Default nova value = 128.')
